#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x07a25db6, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xf1f390fd, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0xd7166972, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0xd3a97fcc, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0xe9f2ca31, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xc63e97a5, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x8d49c30e, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x36857c93, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x4b47536e, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x4570fb93, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xf27ab93d, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x0d1c3cad, "_gpl");
SYMBOL_CRC(mhi_notify, 0x3ffb763c, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x992f33e1, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x1c8c39c1, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x4f0df60d, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0xbe0414b9, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0xac9b32f8, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0xe92e6bf2, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0xceb48540, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0x46dd379d, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x612206ca, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x53c046ea, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0xa88dbf56, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xdb6dad37, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x5362f24b, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x253415b6, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0xd2df6a92, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0xbec620b2, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x4237d066, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x6e27f49a, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x2a84eb96, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0xde4f2284, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xdc3ad3c, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1d7f1623, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4020b0c1, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x64bd7778, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x189715e6, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb043a1a1, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0x7de28e04, "finish_wait" },
	{ 0x67d1a462, "dma_unmap_page_attrs" },
	{ 0xc3f87185, "request_firmware" },
	{ 0xcdf13d55, "trace_event_printf" },
	{ 0xdd15c9bc, "device_initialize" },
	{ 0xf8db379e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4aeb4beb, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x579b958, "bpf_trace_run2" },
	{ 0x2ce6f61, "prepare_to_wait_event" },
	{ 0x9fdd4310, "__wake_up" },
	{ 0xfda1d937, "event_triggers_call" },
	{ 0xaa73c009, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xd1fcbd21, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x15826138, "dev_driver_string" },
	{ 0x4b3c72f9, "trace_event_buffer_commit" },
	{ 0x7fea4d17, "dma_map_page_attrs" },
	{ 0x3135859e, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1786a938, "put_device" },
	{ 0xb45e3f8b, "trace_event_ignore_this_pid" },
	{ 0x21704ac2, "sysfs_remove_file_ns" },
	{ 0x2d077495, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x7cd3aa66, "_dev_info" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9aa3a42b, "perf_trace_run_bpf_submit" },
	{ 0xa50ee34b, "bus_unregister" },
	{ 0x6bd3e5bb, "_dev_err" },
	{ 0x298bc07, "device_wakeup_enable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc18bfaeb, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0x3cc8c911, "dma_alloc_attrs" },
	{ 0x9fc68188, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xba05404d, "ida_free" },
	{ 0xe92ab451, "driver_unregister" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfa158906, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x572e3d43, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9956519d, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0xc4e7bb30, "bpf_trace_run3" },
	{ 0x65c535f8, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xef76d3da, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x881ebd9c, "trace_event_buffer_reserve" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe1499db9, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x49e4edd1, "rt_write_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3f5d3725, "driver_register" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x375c8a6, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5C0FBC95C3E35B2E08B2E04");
MODULE_INFO(rhelversion, "9.6");
