#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0x569cdc14, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x3786bd39, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0xa158bffa, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x33936303, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xc12aa77a, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x23b166ee, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x49a9b091, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x2a8eaf01, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x93287b1c, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0xe0a1bda7, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xece46acf, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0xfb9b9fcb, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x6353ed16, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0xb5d3f47f, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0xc8ab777b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb80034c, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcf01d1a0, "try_module_get" },
	{ 0xe5b4c25, "drm_fb_helper_init" },
	{ 0xd3e9f4f3, "drm_fb_helper_debug_enter" },
	{ 0xb10a22ff, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4685c6ff, "drm_client_buffer_vmap" },
	{ 0x502fead9, "drm_fb_helper_lastclose" },
	{ 0xfda7e19f, "drm_fb_helper_setcmap" },
	{ 0xf9619e6a, "drm_fb_helper_alloc_info" },
	{ 0xa37e60b6, "drm_helper_disable_unused_functions" },
	{ 0xdf35f670, "drm_fb_helper_unprepare" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xa2c49941, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x950e0e20, "drm_fb_helper_fini" },
	{ 0xe662db70, "dma_mmap_pages" },
	{ 0x6f14d023, "drm_client_framebuffer_delete" },
	{ 0xdb2601f, "dma_free_pages" },
	{ 0x29d1b2cf, "drm_client_framebuffer_create" },
	{ 0x37a0cba, "kfree" },
	{ 0xb0fd6f37, "drm_fb_helper_fill_info" },
	{ 0xb1f44107, "drm_gem_create_mmap_offset" },
	{ 0xa933d9b6, "drm_gem_object_init" },
	{ 0x15826138, "dev_driver_string" },
	{ 0x5de09d04, "drm_fb_helper_hotplug_event" },
	{ 0xf79657f1, "fb_sys_write" },
	{ 0x8499ae7d, "sys_imageblit" },
	{ 0xd1d11107, "drm_atomic_helper_damage_iter_init" },
	{ 0xd0591464, "drm_fb_helper_blank" },
	{ 0x9262a921, "dma_alloc_pages" },
	{ 0x938ced4b, "drm_gem_private_object_init" },
	{ 0x5af468f2, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x90fdfd2c, "sys_fillrect" },
	{ 0xeeb6e8b2, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xde6e36ec, "drm_client_init" },
	{ 0x36d22a3, "drm_gem_vm_close" },
	{ 0x7bb5a2bd, "drm_gem_vm_open" },
	{ 0x7d68b7f0, "drm_fb_helper_prepare" },
	{ 0x4dad4c97, "down_write" },
	{ 0x6bd3e5bb, "_dev_err" },
	{ 0x60837fb, "up_write" },
	{ 0xbb188287, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x3cc8c911, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x77656cf0, "drm_gem_handle_create" },
	{ 0xd25ce02d, "drm_gem_fb_get_obj" },
	{ 0x1c8bc5c5, "__drm_dev_dbg" },
	{ 0xeb5b6293, "drm_fb_helper_pan_display" },
	{ 0x12f68a18, "drm_client_release" },
	{ 0x589367e7, "sys_copyarea" },
	{ 0xef76d3da, "dma_free_attrs" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0xcdd6e2a, "__dma_sync_single_for_device" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a2e84d8, "drm_client_buffer_vunmap" },
	{ 0xe41083eb, "fb_sys_read" },
	{ 0x58919238, "drm_fb_helper_debug_leave" },
	{ 0x122399ed, "dma_buf_vmap_unlocked" },
	{ 0x448fe53c, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8fc0115b, "dma_get_sgtable_attrs" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xc75e2be8, "drm_fb_helper_initial_config" },
	{ 0x2e35ba9b, "drm_fb_helper_unregister_info" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x883d8df3, "drm_fb_helper_ioctl" },
	{ 0xae6008f7, "drm_fb_helper_set_par" },
	{ 0x13f93759, "drm_prime_gem_destroy" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "2ED1A1BB11B350C7F9853DB");
MODULE_INFO(rhelversion, "9.6");
