#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82064aa, "drm_mode_config_helper_resume" },
	{ 0x3b3e3bb5, "drm_mode_config_helper_suspend" },
	{ 0xb0f6e6c8, "drm_atomic_helper_shutdown" },
	{ 0xedc03953, "iounmap" },
	{ 0xa1df1cc4, "pci_release_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x31260fe5, "drm_dev_unplug" },
	{ 0x72991bff, "drm_dev_put" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xdca8c3d4, "logic_outb" },
	{ 0x1ea20125, "drm_gem_fb_create" },
	{ 0xa352956c, "pci_unregister_driver" },
	{ 0x2d3340bf, "drm_add_edid_modes" },
	{ 0xb2996a69, "drm_add_modes_noedid" },
	{ 0xe077ccfd, "drm_set_preferred_mode" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x6de86840, "__pci_register_driver" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xf18300ad, "logic_inb" },
	{ 0x6d73c95f, "logic_outw" },
	{ 0x2e2c4ddc, "logic_inw" },
	{ 0x391c98d7, "pci_request_region" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x85bd1608, "__request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x4119bcc, "drm_connector_init" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0xc2cc65d4, "drm_do_get_edid" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9eeb8c, "drm_connector_attach_edid_property" },
	{ 0x576ce160, "drm_connector_update_edid_property" },
	{ 0xa7cd96f4, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0xa784c12e, "drm_dev_alloc" },
	{ 0x9622c4ed, "pcim_enable_device" },
	{ 0xb730f5bf, "drmm_kmalloc" },
	{ 0x3e221ef8, "drmm_vram_helper_init" },
	{ 0x98b0afe, "drmm_mode_config_init" },
	{ 0x82c74546, "drm_simple_display_pipe_init" },
	{ 0x6766735a, "drm_mode_config_reset" },
	{ 0x5fbe2aff, "drm_dev_register" },
	{ 0xdd258eaa, "drm_fbdev_generic_setup" },
	{ 0xbd3116a4, "drm_gem_vram_offset" },
	{ 0x8fec81fb, "drm_dev_enter" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x7bb78583, "drm_atomic_helper_connector_reset" },
	{ 0x95cd088e, "drm_helper_probe_single_connector_modes" },
	{ 0xb6579b51, "drm_connector_cleanup" },
	{ 0x3bad703b, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xb4e8dfd6, "drm_atomic_helper_connector_destroy_state" },
	{ 0x46ea0b74, "drm_vram_mm_debugfs_init" },
	{ 0x79d27745, "drm_gem_vram_driver_dumb_create" },
	{ 0x9aa6fefe, "drm_gem_ttm_dumb_map_offset" },
	{ 0xccd85020, "drm_vram_helper_mode_valid" },
	{ 0x18716498, "drm_atomic_helper_check" },
	{ 0xdabcdc67, "drm_atomic_helper_commit" },
	{ 0x4625811b, "drm_gem_vram_simple_display_pipe_prepare_fb" },
	{ 0x39987be1, "drm_gem_vram_simple_display_pipe_cleanup_fb" },
	{ 0x91687e75, "noop_llseek" },
	{ 0x7322519b, "drm_read" },
	{ 0x63bba08d, "drm_poll" },
	{ 0x87cf5d4, "drm_ioctl" },
	{ 0xd6645ccc, "drm_gem_mmap" },
	{ 0xb5c991b3, "drm_open" },
	{ 0xa6594047, "drm_release" },
	{ 0xe1e7823c, "param_ops_int" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,drm_vram_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FF723D1DFAD815C41F05258");
MODULE_INFO(rhelversion, "9.6");
