#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(host1x_device_init, "", "");
KSYMTAB_FUNC(host1x_device_exit, "", "");
KSYMTAB_FUNC(host1x_driver_register_full, "", "");
KSYMTAB_FUNC(host1x_driver_unregister, "", "");
KSYMTAB_FUNC(__host1x_client_init, "", "");
KSYMTAB_FUNC(host1x_client_exit, "", "");
KSYMTAB_FUNC(__host1x_client_register, "", "");
KSYMTAB_FUNC(host1x_client_unregister, "", "");
KSYMTAB_FUNC(host1x_client_suspend, "", "");
KSYMTAB_FUNC(host1x_client_resume, "", "");
KSYMTAB_FUNC(host1x_bo_pin, "", "");
KSYMTAB_FUNC(host1x_bo_unpin, "", "");
KSYMTAB_FUNC(host1x_syncpt_alloc, "", "");
KSYMTAB_FUNC(host1x_syncpt_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr, "", "");
KSYMTAB_FUNC(host1x_syncpt_wait, "", "");
KSYMTAB_FUNC(host1x_syncpt_request, "", "");
KSYMTAB_FUNC(host1x_syncpt_put, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_min, "", "");
KSYMTAB_FUNC(host1x_syncpt_read, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id_noref, "", "");
KSYMTAB_FUNC(host1x_syncpt_get, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_base, "", "");
KSYMTAB_FUNC(host1x_syncpt_base_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_release_vblank_reservation, "", "");
KSYMTAB_FUNC(host1x_get_dma_mask, "", "");
KSYMTAB_FUNC(host1x_job_submit, "", "");
KSYMTAB_FUNC(host1x_channel_get, "", "");
KSYMTAB_FUNC(host1x_channel_stop, "", "");
KSYMTAB_FUNC(host1x_channel_put, "", "");
KSYMTAB_FUNC(host1x_channel_request, "", "");
KSYMTAB_FUNC(host1x_job_alloc, "", "");
KSYMTAB_FUNC(host1x_job_get, "", "");
KSYMTAB_FUNC(host1x_job_put, "", "");
KSYMTAB_FUNC(host1x_job_add_gather, "", "");
KSYMTAB_FUNC(host1x_job_add_wait, "", "");
KSYMTAB_FUNC(host1x_job_pin, "", "");
KSYMTAB_FUNC(host1x_job_unpin, "", "");
KSYMTAB_FUNC(tegra_mipi_request, "", "");
KSYMTAB_FUNC(tegra_mipi_free, "", "");
KSYMTAB_FUNC(tegra_mipi_enable, "", "");
KSYMTAB_FUNC(tegra_mipi_disable, "", "");
KSYMTAB_FUNC(tegra_mipi_finish_calibration, "", "");
KSYMTAB_FUNC(tegra_mipi_start_calibration, "", "");
KSYMTAB_FUNC(host1x_fence_create, "", "");
KSYMTAB_FUNC(host1x_fence_cancel, "", "");
KSYMTAB_FUNC(host1x_memory_context_alloc, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_get, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_put, "_gpl", "");

SYMBOL_CRC(host1x_device_init, 0x047d7125, "");
SYMBOL_CRC(host1x_device_exit, 0xeeb62db8, "");
SYMBOL_CRC(host1x_driver_register_full, 0xeba1e27d, "");
SYMBOL_CRC(host1x_driver_unregister, 0x0cfc7000, "");
SYMBOL_CRC(__host1x_client_init, 0xbf033c0e, "");
SYMBOL_CRC(host1x_client_exit, 0x2d11d4ce, "");
SYMBOL_CRC(__host1x_client_register, 0xbc9a577f, "");
SYMBOL_CRC(host1x_client_unregister, 0xbfcc807e, "");
SYMBOL_CRC(host1x_client_suspend, 0xbb6e4529, "");
SYMBOL_CRC(host1x_client_resume, 0x558bda8c, "");
SYMBOL_CRC(host1x_bo_pin, 0x0350fa25, "");
SYMBOL_CRC(host1x_bo_unpin, 0x538a4e0a, "");
SYMBOL_CRC(host1x_syncpt_alloc, 0x1c3237d2, "");
SYMBOL_CRC(host1x_syncpt_id, 0xa840f3f6, "");
SYMBOL_CRC(host1x_syncpt_incr_max, 0x37d1cfbc, "");
SYMBOL_CRC(host1x_syncpt_incr, 0x38d0f65d, "");
SYMBOL_CRC(host1x_syncpt_wait, 0x8e102ac2, "");
SYMBOL_CRC(host1x_syncpt_request, 0x4737e148, "");
SYMBOL_CRC(host1x_syncpt_put, 0x67e68d24, "");
SYMBOL_CRC(host1x_syncpt_read_max, 0x556d97ec, "");
SYMBOL_CRC(host1x_syncpt_read_min, 0xe2e745b7, "");
SYMBOL_CRC(host1x_syncpt_read, 0xa5773f51, "");
SYMBOL_CRC(host1x_syncpt_get_by_id, 0x87db66f8, "");
SYMBOL_CRC(host1x_syncpt_get_by_id_noref, 0xc33ce5b8, "");
SYMBOL_CRC(host1x_syncpt_get, 0x38aa29ed, "");
SYMBOL_CRC(host1x_syncpt_get_base, 0x262a86d9, "");
SYMBOL_CRC(host1x_syncpt_base_id, 0x51de13ce, "");
SYMBOL_CRC(host1x_syncpt_release_vblank_reservation, 0xee1b7424, "");
SYMBOL_CRC(host1x_get_dma_mask, 0x79bdc789, "");
SYMBOL_CRC(host1x_job_submit, 0x498c41b6, "");
SYMBOL_CRC(host1x_channel_get, 0xc2b5028a, "");
SYMBOL_CRC(host1x_channel_stop, 0xc5c6975a, "");
SYMBOL_CRC(host1x_channel_put, 0xb65a86f9, "");
SYMBOL_CRC(host1x_channel_request, 0xa038232e, "");
SYMBOL_CRC(host1x_job_alloc, 0xf7386824, "");
SYMBOL_CRC(host1x_job_get, 0x9e36db10, "");
SYMBOL_CRC(host1x_job_put, 0xf28480b7, "");
SYMBOL_CRC(host1x_job_add_gather, 0x65e982b0, "");
SYMBOL_CRC(host1x_job_add_wait, 0x8c567de1, "");
SYMBOL_CRC(host1x_job_pin, 0x4c26c8be, "");
SYMBOL_CRC(host1x_job_unpin, 0xc7cabd39, "");
SYMBOL_CRC(tegra_mipi_request, 0xfec2000b, "");
SYMBOL_CRC(tegra_mipi_free, 0x9451a33e, "");
SYMBOL_CRC(tegra_mipi_enable, 0xf8a79b19, "");
SYMBOL_CRC(tegra_mipi_disable, 0xa733ff60, "");
SYMBOL_CRC(tegra_mipi_finish_calibration, 0xbcbe65a0, "");
SYMBOL_CRC(tegra_mipi_start_calibration, 0x72e78e54, "");
SYMBOL_CRC(host1x_fence_create, 0x26ae61a7, "");
SYMBOL_CRC(host1x_fence_cancel, 0x729f73c0, "");
SYMBOL_CRC(host1x_memory_context_alloc, 0x516a42e9, "_gpl");
SYMBOL_CRC(host1x_memory_context_get, 0x1905d84e, "_gpl");
SYMBOL_CRC(host1x_memory_context_put, 0x92b70840, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0b901bd, "iommu_map_sg" },
	{ 0x1e1d185c, "platform_device_put" },
	{ 0xc088548d, "dma_fence_signal_locked" },
	{ 0x7fd185e0, "devm_platform_ioremap_resource" },
	{ 0xb4a55851, "devm_of_platform_populate" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0x4b007e1e, "devm_request_threaded_irq" },
	{ 0x3d087ec2, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x271c6199, "devm_platform_get_and_ioremap_resource" },
	{ 0x189715e6, "dev_set_name" },
	{ 0x69aa22e2, "of_find_device_by_node" },
	{ 0x46ce671c, "platform_get_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb043a1a1, "trace_raw_output_prep" },
	{ 0xcc341c58, "iommu_group_get" },
	{ 0xa9ad8297, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0xcdf13d55, "trace_event_printf" },
	{ 0x76afb79c, "free_iova" },
	{ 0x3fa11ed7, "pm_generic_thaw" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0xdd15c9bc, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf8db379e, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb341186, "pm_generic_poweroff" },
	{ 0x3da4cfa9, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x579b958, "bpf_trace_run2" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xfda1d937, "event_triggers_call" },
	{ 0x9df8b58f, "dma_fence_add_callback" },
	{ 0x148653, "vsnprintf" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xd1fcbd21, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x901c03bb, "devm_clk_get" },
	{ 0x4ae8fc11, "dma_fence_wait_timeout" },
	{ 0x3059ea59, "__free_iova" },
	{ 0x4b3c72f9, "trace_event_buffer_commit" },
	{ 0xb7f99bcd, "pm_generic_resume" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x22c14a21, "__platform_register_drivers" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xafc1dcbc, "iommu_detach_group" },
	{ 0xa82d0c6b, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x1786a938, "put_device" },
	{ 0xb45e3f8b, "trace_event_ignore_this_pid" },
	{ 0x46ad1aed, "pm_runtime_enable" },
	{ 0x9676250c, "alloc_iova" },
	{ 0xef28f760, "devm_tegra_core_dev_init_opp_table" },
	{ 0x3a26264, "platform_get_irq_byname_optional" },
	{ 0xb01eb381, "dma_fence_remove_callback" },
	{ 0xff1666f3, "reset_control_bulk_assert" },
	{ 0x3e046997, "pm_generic_suspend" },
	{ 0x7fe02f7a, "iommu_get_domain_for_dev" },
	{ 0x62acea09, "of_device_uevent" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa64db27e, "put_iova_domain" },
	{ 0x9aa3a42b, "perf_trace_run_bpf_submit" },
	{ 0xa50ee34b, "bus_unregister" },
	{ 0x6bd3e5bb, "_dev_err" },
	{ 0xe700d767, "reset_control_bulk_deassert" },
	{ 0x1fe4f43b, "iommu_domain_free" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xc18bfaeb, "device_add" },
	{ 0x9120f9b1, "__of_parse_phandle_with_args" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x78cf53e1, "iommu_domain_alloc" },
	{ 0xae89e4ef, "iommu_unmap" },
	{ 0x327d131a, "dma_fence_signal" },
	{ 0x5f502ad2, "bpf_trace_run5" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0x3cc8c911, "dma_alloc_attrs" },
	{ 0x9a6fbca2, "debugfs_remove" },
	{ 0x9fc68188, "trace_event_reg" },
	{ 0x207a6c6, "reset_control_bulk_acquire" },
	{ 0xf0eaa5d4, "of_property_count_elems_of_size" },
	{ 0xe92ab451, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x7c021052, "of_match_node" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x28b2fdb, "of_device_is_available" },
	{ 0x33e2b91e, "dma_fence_init" },
	{ 0x4aed60a9, "mutex_lock_interruptible" },
	{ 0x55888dd3, "host1x_context_device_bus_type" },
	{ 0x3ed0abc, "bpf_trace_run1" },
	{ 0xfa158906, "device_del" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x572e3d43, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xcbf6da7e, "pm_generic_freeze" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xe4b26d73, "debugfs_create_u32" },
	{ 0x3aef6f34, "devm_platform_ioremap_resource_byname" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0xf41f8525, "dma_set_coherent_mask" },
	{ 0xc4e7bb30, "bpf_trace_run3" },
	{ 0x970e94a6, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xdec2389e, "debugfs_create_file" },
	{ 0xef76d3da, "dma_free_attrs" },
	{ 0x881ebd9c, "trace_event_buffer_reserve" },
	{ 0x56ee2c0c, "__pm_runtime_resume" },
	{ 0x2de1c1fd, "init_iova_domain" },
	{ 0x623d640d, "__devm_reset_control_bulk_get" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x35b017ca, "pm_runtime_force_resume" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe0af6521, "seq_write" },
	{ 0xcb5ef9f0, "platform_bus_type" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3299bdd9, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf4cd9f8f, "reset_control_bulk_release" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xbef79eae, "iommu_map" },
	{ 0xd48f8bf2, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc6feaaf9, "dma_set_mask" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x91ca0bc9, "__pm_runtime_suspend" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xbe36d2df, "iommu_attach_group" },
	{ 0x3073e7e8, "single_open" },
	{ 0x48cf868a, "of_device_get_match_data" },
	{ 0x293f4c20, "pm_generic_restore" },
	{ 0x5f0652e9, "__pm_runtime_disable" },
	{ 0xe91c2199, "debugfs_create_dir" },
	{ 0x94fc9ba7, "of_dma_configure_id" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf7e710e, "platform_unregister_drivers" },
	{ 0xc831dc91, "pm_runtime_force_suspend" },
	{ 0x3f5d3725, "driver_register" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0x9c918cc0, "put_pid" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xd41e6dfa, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x375c8a6, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd31ccb06, "of_machine_is_compatible" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1xC*");

MODULE_INFO(srcversion, "D0E359044FCD4E486F4089A");
MODULE_INFO(rhelversion, "9.6");
