#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0x6a0d2735, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x2a210973, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x2606049f, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0xde4ac8fe, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0xbb1e4b00, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0xb928863d, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xf0fe173d, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0xd66096a2, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x07b50f87, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0xeccdccb6, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0xbe5b0d8d, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xaec9bb64, "_gpl");
SYMBOL_CRC(dm_get_md, 0xcc2bc08b, "_gpl");
SYMBOL_CRC(dm_hold, 0x078c3d6d, "_gpl");
SYMBOL_CRC(dm_device_name, 0xc70256c6, "_gpl");
SYMBOL_CRC(dm_put, 0x70128e66, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x9d6bfc04, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x83aff69b, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0x2d81a6c5, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0xa3362e89, "_gpl");
SYMBOL_CRC(dm_disk, 0x2966f2d4, "_gpl");
SYMBOL_CRC(dm_suspended, 0x273d97ef, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x1dedb18b, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xcffbdd83, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0xfcdb82a9, "");
SYMBOL_CRC(dm_put_device, 0x322d826b, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0xf38745d6, "_gpl");
SYMBOL_CRC(dm_table_event, 0x10ad41b8, "");
SYMBOL_CRC(dm_table_get_size, 0x579e6773, "");
SYMBOL_CRC(dm_table_get_mode, 0x25f6f26f, "");
SYMBOL_CRC(dm_table_get_md, 0xd101f971, "");
SYMBOL_CRC(dm_table_device_name, 0x7c2ad3bd, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x8feb1c71, "");
SYMBOL_CRC(dm_register_target, 0x896c7dce, "");
SYMBOL_CRC(dm_unregister_target, 0x4c0e3e2b, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x268fdd4f, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0xa418debc, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x07fd860e, "");
SYMBOL_CRC(dm_kcopyd_zero, 0xffe7024b, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x2f93559d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb13b6d60, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0xe54a952, "set_disk_ro" },
	{ 0x1b3523ca, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcf01d1a0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x76e5e708, "__init_rwsem" },
	{ 0x35b0ec57, "misc_deregister" },
	{ 0x9dbc30c2, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5ad73d38, "idr_find" },
	{ 0x3143a88c, "param_ops_uint" },
	{ 0xd3865497, "param_ops_ulong" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe4d6e8cf, "bio_split_to_limits" },
	{ 0xd7d68229, "vmalloc_to_page" },
	{ 0xaadc1183, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x53c77e8b, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x72e20559, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x72336578, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0x7de28e04, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x8a8ba3d3, "idr_replace" },
	{ 0x14bcddf6, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x23c91043, "mempool_init" },
	{ 0xdbcb3ac8, "blk_rq_prep_clone" },
	{ 0x83b43aea, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xfbd28f7d, "prepare_to_wait" },
	{ 0x103b822, "blk_mq_quiesce_queue" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4c87472, "__traceiter_block_bio_remap" },
	{ 0xc11af0bb, "freeze_bdev" },
	{ 0xef8deca2, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2ce6f61, "prepare_to_wait_event" },
	{ 0x30ed992c, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x9fdd4310, "__wake_up" },
	{ 0x1cf466d9, "synchronize_srcu" },
	{ 0xced022fa, "kmem_cache_create" },
	{ 0x791bcf9f, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x120992ac, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0x92b340ec, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x60e24c92, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xa11c556, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0xa3e85da7, "crypto_destroy_tfm" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xf4be77fd, "__traceiter_block_split" },
	{ 0x60d04af1, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x98539b15, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf94ae21a, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xec0ac24a, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x34fc4ad3, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x8c36dc47, "kmalloc_node_trace" },
	{ 0x489a6dae, "mempool_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x839d7440, "__free_pages" },
	{ 0x187a49dd, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xe657918e, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x85428fa7, "submit_bio" },
	{ 0xcf0a33aa, "dax_add_host" },
	{ 0xeeb6e8b2, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x655f8af, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x8c288973, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5739a145, "ima_measure_critical_data" },
	{ 0x2de9e433, "idr_remove" },
	{ 0x62a3d7f2, "kobject_uevent_env" },
	{ 0xed94d5d1, "bio_put" },
	{ 0x36de5f83, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7d16d587, "init_srcu_struct" },
	{ 0xffd3d500, "fput" },
	{ 0x4dad4c97, "down_write" },
	{ 0xa5472403, "blk_revalidate_disk_zones" },
	{ 0x60837fb, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xe0d76a8, "blk_update_request" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x5a73636e, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0x82b0d22b, "__srcu_read_lock" },
	{ 0x2b7ba596, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd6c23d6b, "thaw_bdev" },
	{ 0xf3ebcf7, "set_capacity" },
	{ 0x41379d84, "submit_bio_noacct" },
	{ 0x91687e75, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0xacb220f2, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x96573ccd, "kmem_cache_free" },
	{ 0x24933981, "dax_remove_host" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x2478bdc9, "bio_chain" },
	{ 0x1479d9c0, "dax_recovery_write" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x2bbaafd9, "blk_stack_limits" },
	{ 0xb9e6b385, "kobject_init_and_add" },
	{ 0x87860be7, "zero_fill_bio_iter" },
	{ 0x407d0751, "bio_add_page" },
	{ 0xb2b666d9, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x56ef2e66, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x635a77db, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd7154390, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6a74d2c5, "bdev_file_open_by_dev" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0xd5543f9d, "idr_destroy" },
	{ 0x2c3df8b3, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xf7287338, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x940b4b8b, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x79c65ec0, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9579e5fa, "blk_insert_cloned_request" },
	{ 0x9956519d, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0x94672c34, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x205f3e63, "audit_log_start" },
	{ 0x7006af77, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf78922d7, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x80efd123, "bio_uninit" },
	{ 0xadefdd1e, "crypto_shash_final" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x45314eac, "param_ops_bool" },
	{ 0x89171740, "bioset_init" },
	{ 0xea7345f5, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x537fd8d1, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71ebc0b5, "__traceiter_block_rq_remap" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x264996f6, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x8ce2d446, "__tracepoint_block_rq_remap" },
	{ 0x6e8d2306, "bd_link_disk_holder" },
	{ 0x7d9aa55b, "blk_mq_start_request" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7242d92, "put_dax" },
	{ 0x5f25e6f7, "file_bdev" },
	{ 0x6d70f1d9, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x5a31b4ad, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xbeca52f3, "blk_zone_plug_bio" },
	{ 0xe1e7823c, "param_ops_int" },
	{ 0x4ba25575, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xf62d6561, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xe7f00fe6, "queue_limits_set" },
	{ 0xa21b541b, "bio_alloc_bioset" },
	{ 0x35c80711, "up_read" },
	{ 0x85cf78d6, "blk_mq_requeue_request" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x2ec1f3fb, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x82c9fcb8, "bdev_end_io_acct" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x2b71faae, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcba4b3e7, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa4a12741, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B0DD5627F430BC7523E7671");
MODULE_INFO(rhelversion, "9.6");
