#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0xff8bf86b, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0xc483504d, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x76f62528, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x32dfb3f1, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x4f1ae730, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xee223c7c, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x536aef7d, "mdiobus_alloc_size" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x28208012, "xsk_tx_completed" },
	{ 0x1a256a22, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xbd7c30b8, "xp_alloc" },
	{ 0xb0c19160, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8fe11efa, "bpf_prog_put" },
	{ 0x1d7f1623, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa26f572b, "xp_dma_map" },
	{ 0x78be21b6, "skb_copy_bits" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x3d087ec2, "devm_kmalloc" },
	{ 0xa3441400, "eth_mac_addr" },
	{ 0xb9b6d7ba, "skb_put" },
	{ 0x76de7c30, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x48292901, "netdev_update_features" },
	{ 0xebcbf978, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xe000699d, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9a824311, "hrtimer_try_to_cancel" },
	{ 0x95dc4674, "bpf_warn_invalid_xdp_action" },
	{ 0xcaea1c84, "unregister_netdev" },
	{ 0x44a72bae, "xdp_convert_zc_to_xdp_frame" },
	{ 0xb54a5ae6, "xdp_features_set_redirect_target" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0xf6847896, "gpiod_set_value_cansleep" },
	{ 0x67d1a462, "dma_unmap_page_attrs" },
	{ 0x90b4a32f, "hrtimer_init" },
	{ 0x4c58e946, "skb_add_rx_frag" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x7dfd8574, "ptp_clock_index" },
	{ 0xe15e2b50, "phy_attached_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x3da4cfa9, "seq_lseek" },
	{ 0x597f1ad0, "page_pool_destroy" },
	{ 0x81e15334, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9b552f19, "netdev_warn" },
	{ 0x3195e30b, "devm_gpiod_get_optional" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9fdd4310, "__wake_up" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xfeebfbba, "flow_rule_match_ipv4_addrs" },
	{ 0xf763f64d, "xdp_rxq_info_unreg_mem_model" },
	{ 0x3d227446, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x21718946, "netdev_err" },
	{ 0xb942c582, "phylink_limit_mac_speed" },
	{ 0xfcf5cf26, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x15826138, "dev_driver_string" },
	{ 0x295760a3, "pinctrl_pm_select_default_state" },
	{ 0x2922b222, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x468c7d2a, "eth_type_trans" },
	{ 0x128867b2, "__pm_runtime_set_status" },
	{ 0x7fea4d17, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x1489f5ee, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb9ffce7a, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3135859e, "pm_wakeup_dev_event" },
	{ 0x7d1acd70, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x10be1133, "__napi_schedule" },
	{ 0x46ad1aed, "pm_runtime_enable" },
	{ 0x6e5cc6e4, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x81016821, "netif_device_detach" },
	{ 0x364e461a, "device_property_read_u32_array" },
	{ 0xcc4937ed, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x2d077495, "rt_write_unlock" },
	{ 0x7cd3aa66, "_dev_info" },
	{ 0x3ce63025, "xpcs_create_mdiodev" },
	{ 0xb2450120, "napi_gro_receive" },
	{ 0xd90414b4, "netif_device_attach" },
	{ 0x74c3d273, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xde03de73, "netdev_pick_tx" },
	{ 0xedfeaea5, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xac738a1e, "xp_raw_get_dma" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe468b581, "xdp_rxq_info_is_reg" },
	{ 0x74ed5b60, "devm_alloc_etherdev_mqs" },
	{ 0x5396fa68, "flow_block_cb_setup_simple" },
	{ 0xd7327469, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x496565bc, "dev_open" },
	{ 0x1f39b879, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x6bd3e5bb, "_dev_err" },
	{ 0x9d170229, "xpcs_destroy" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xf8bd22f6, "pinctrl_pm_select_sleep_state" },
	{ 0x1d50cf9d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5b42147d, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcf62d945, "ptp_clock_register" },
	{ 0x93d60ffd, "xsk_tx_peek_desc" },
	{ 0x46562e05, "__of_mdiobus_register" },
	{ 0x26f0faad, "__traceiter_xdp_exception" },
	{ 0xbdd2e291, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x9a747672, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x5ba461b7, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x3cc8c911, "dma_alloc_attrs" },
	{ 0x9a6fbca2, "debugfs_remove" },
	{ 0xb93d92c9, "napi_enable" },
	{ 0xd4e8239, "xsk_clear_rx_need_wakeup" },
	{ 0x160247d3, "xpcs_get_interfaces" },
	{ 0x31764824, "xsk_uses_need_wakeup" },
	{ 0xe7a829b8, "register_netdev" },
	{ 0x5a66f86d, "xsk_get_pool_from_qid" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x5a2568d1, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x17a87eba, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe5842354, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x35499fd2, "netif_tx_wake_queue" },
	{ 0x7aa35e45, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6986fa4a, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x572e3d43, "_dev_warn" },
	{ 0xd171d91b, "flow_rule_match_ports" },
	{ 0xf1e9eb2e, "phylink_fwnode_phy_connect" },
	{ 0x95625122, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xcc80c02, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xcfddc5c, "netif_schedule_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3e22fea6, "fwnode_get_named_child_node" },
	{ 0x9956519d, "__init_waitqueue_head" },
	{ 0x403a413b, "ptp_clock_unregister" },
	{ 0x6102e621, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0xdcdcfea6, "xpcs_get_an_mode" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4861f909, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb6698f70, "xdp_return_frame_rx_napi" },
	{ 0x8cbca86b, "netdev_alert" },
	{ 0xf41f8525, "dma_set_coherent_mask" },
	{ 0x970e94a6, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x95cd2812, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x65c535f8, "rt_read_lock" },
	{ 0x60961be, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xdec2389e, "debugfs_create_file" },
	{ 0x7d9a0579, "xsk_set_tx_need_wakeup" },
	{ 0xef76d3da, "dma_free_attrs" },
	{ 0x56ee2c0c, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xcdd6e2a, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcfc57cad, "xp_set_rxq_info" },
	{ 0x51a17acb, "flow_rule_match_vlan" },
	{ 0xb5748915, "xdp_rxq_info_unreg" },
	{ 0xf6d4da70, "page_pool_alloc_pages" },
	{ 0xe4b22ad8, "__xdp_rxq_info_reg" },
	{ 0xe1499db9, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x14c16bb6, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3299bdd9, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x5a9b08f5, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8aacbb9e, "netif_carrier_on" },
	{ 0x49e4edd1, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x67ada9fb, "hrtimer_cancel" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x17095fd6, "xp_free" },
	{ 0xd48f8bf2, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc6feaaf9, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x56963844, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0xec04f4f4, "xdp_master_redirect" },
	{ 0xda49ce4e, "fwnode_handle_put" },
	{ 0x61ba75cc, "xp_raw_get_data" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0xe12c56ab, "napi_schedule_prep" },
	{ 0xca1a774f, "napi_disable" },
	{ 0xc403a54d, "dev_kfree_skb_any_reason" },
	{ 0x5eba4b68, "eth_header_parse_protocol" },
	{ 0xe1e7823c, "param_ops_int" },
	{ 0x3073e7e8, "single_open" },
	{ 0x5f0652e9, "__pm_runtime_disable" },
	{ 0xe91c2199, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0x33fa4a42, "skb_clone_tx_timestamp" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xd41e6dfa, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8a39aa4c, "ethtool_op_get_ts_info" },
	{ 0xaf893edd, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66359cde, "__dev_fwnode" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x27d55e7e, "netdev_info" },
	{ 0x51437ac8, "page_pool_put_unrefed_page" },
	{ 0x1939e950, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "7182F11C86F90D684550414");
MODULE_INFO(rhelversion, "9.6");
