#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xa62a446e, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x2226d005, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xd40ab565, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x918bdaa1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa663e71e, "ether_setup" },
	{ 0xdf36ad52, "__ethtool_get_link_ksettings" },
	{ 0x65ab3597, "ethtool_get_ts_info_by_layer" },
	{ 0x94164839, "init_net" },
	{ 0x9592a243, "generic_hwtstamp_set_lower" },
	{ 0x48a1fc4d, "generic_hwtstamp_get_lower" },
	{ 0x827207c1, "dev_mc_del" },
	{ 0x7943597, "dev_uc_del" },
	{ 0xb75f5b40, "dev_mc_add_excl" },
	{ 0xb1b5911d, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xb065cceb, "vlan_vid_del" },
	{ 0x1cc4c64c, "vlan_vid_add" },
	{ 0x2c637339, "dev_set_allmulti" },
	{ 0x6ecb4d32, "dev_set_promiscuity" },
	{ 0x9c8c64a8, "dev_uc_unsync" },
	{ 0x1e01765b, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0xb98dbae5, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7a244b7a, "rtnl_link_unregister" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x31ccd9e2, "netdev_is_rx_handler_busy" },
	{ 0xdcb764ad, "memset" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0x9d4ff948, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x63206052, "dev_uc_add" },
	{ 0x8de1916d, "dev_set_mac_address" },
	{ 0x73ed50f3, "call_netdevice_notifiers" },
	{ 0xdeba59f6, "netif_inherit_tso_max" },
	{ 0x48292901, "netdev_update_features" },
	{ 0xda3c4549, "netif_stacked_transfer_operstate" },
	{ 0xaa65a463, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x9a7f2f62, "unregister_netdevice_queue" },
	{ 0x1c52a2e0, "netdev_upper_dev_unlink" },
	{ 0xaf88323f, "dev_uc_sync" },
	{ 0x2c8abc6d, "dev_mc_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xf4e570f8, "skb_clone" },
	{ 0x231b489e, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xd13e0439, "__dev_forward_skb" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xebcbf978, "consume_skb" },
	{ 0x2a3740a6, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xfc7664ae, "sk_skb_reason_drop" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb1870a5e, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd89fb065, "register_netdevice" },
	{ 0xf33221be, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbeebee3e, "linkwatch_fire_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf436be5b, "netdev_core_stats_alloc" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xc7ec21bd, "__netif_rx" },
	{ 0xd86d91c3, "__dev_queue_xmit" },
	{ 0xca8f4b47, "dev_forward_skb" },
	{ 0xe55dfb3d, "ip_check_defrag" },
	{ 0x45a85a31, "passthru_features_check" },
	{ 0xed4740c9, "eth_validate_addr" },
	{ 0x615ed11f, "ndo_dflt_fdb_dump" },
	{ 0xf758e2c2, "eth_header_parse" },
	{ 0x64857aab, "eth_header_cache" },
	{ 0xcbe4d737, "eth_header_cache_update" },
	{ 0xe5842354, "ethtool_op_get_link" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A709F56BF6115152F7F51F");
MODULE_INFO(rhelversion, "9.6");
