#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x61811591, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x8f39bc8c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9556ea8e, "fasync_helper" },
	{ 0x4e83885a, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x27d55e7e, "netdev_info" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb0909ad2, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf00a075f, "nla_put" },
	{ 0xde808b59, "from_kgid_munged" },
	{ 0x91adf47d, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc4c7a11f, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x621049de, "dev_get_tstats64" },
	{ 0xf07568ac, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0xb98dbae5, "rtnl_link_register" },
	{ 0x79c65ec0, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x35b0ec57, "misc_deregister" },
	{ 0x7a244b7a, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xfc7664ae, "sk_skb_reason_drop" },
	{ 0x5b42147d, "xdp_return_frame" },
	{ 0xdedbee73, "__wake_up_sync_key" },
	{ 0xf0232014, "kill_fasync" },
	{ 0x8aacbb9e, "netif_carrier_on" },
	{ 0x14c16bb6, "netif_carrier_off" },
	{ 0x8fe11efa, "bpf_prog_put" },
	{ 0x754a0712, "build_skb" },
	{ 0xb9b6d7ba, "skb_put" },
	{ 0xc2c5b145, "skb_set_owner_w" },
	{ 0x9cc33d5e, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0x9956519d, "__init_waitqueue_head" },
	{ 0xb1cb0b47, "sock_init_data_uid" },
	{ 0x1814ef12, "sk_free" },
	{ 0xb2450120, "napi_gro_receive" },
	{ 0x1489f5ee, "napi_complete_done" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc88d21ab, "add_wait_queue" },
	{ 0xd5b16119, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x3fa1e60b, "skb_queue_purge_reason" },
	{ 0xca1a774f, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb5748915, "xdp_rxq_info_unreg" },
	{ 0x3d227446, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xeeb6e8b2, "module_put" },
	{ 0x7a094063, "napi_get_frags" },
	{ 0x79888158, "iov_iter_single_seg_count" },
	{ 0x1b31b177, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbad9a05d, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x33fa4a42, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7fad36d7, "skb_copy_ubufs" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf436be5b, "netdev_core_stats_alloc" },
	{ 0x72fa1662, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x76de7c30, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x6146fa1a, "___pskb_trim" },
	{ 0x8b2af56d, "__skb_get_hash_symmetric_net" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbdd2e291, "netif_set_real_num_tx_queues" },
	{ 0x9a747672, "netif_set_real_num_rx_queues" },
	{ 0x9a7f2f62, "unregister_netdevice_queue" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaf2d0e7f, "netdev_state_change" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xb4b8c2fa, "__skb_flow_dissect" },
	{ 0x7acb719b, "skb_partial_csum_set" },
	{ 0x72dbe8f, "__pskb_pull_tail" },
	{ 0x3299bdd9, "seq_printf" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xe468b581, "xdp_rxq_info_is_reg" },
	{ 0xe4b22ad8, "__xdp_rxq_info_reg" },
	{ 0x2922b222, "xdp_rxq_info_reg_mem_model" },
	{ 0xe000699d, "netif_napi_add_weight" },
	{ 0xb93d92c9, "napi_enable" },
	{ 0xe877ef9a, "lock_sock_nested" },
	{ 0xfcb9402d, "sk_attach_filter" },
	{ 0xf43d5348, "release_sock" },
	{ 0xa75d448c, "__dev_get_by_name" },
	{ 0xa000923f, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x69adb60c, "alloc_netdev_mqs" },
	{ 0x80130c35, "ip_tunnel_header_ops" },
	{ 0xd89fb065, "register_netdevice" },
	{ 0x35499fd2, "netif_tx_wake_queue" },
	{ 0xa663e71e, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe3a5bd05, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x4197688d, "_copy_to_iter" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x173f9e0f, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x39c185d5, "iov_iter_advance" },
	{ 0x21718946, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xebcbf978, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9c96d4ef, "sock_recv_errqueue" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc1420e5, "bpf_prog_get_type_dev" },
	{ 0x81e15334, "xdp_do_redirect" },
	{ 0x95dc4674, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x26f0faad, "__traceiter_xdp_exception" },
	{ 0xb6698f70, "xdp_return_frame_rx_napi" },
	{ 0x44a72bae, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc2e15c63, "__page_frag_cache_drain" },
	{ 0x468c7d2a, "eth_type_trans" },
	{ 0xec04f4f4, "xdp_master_redirect" },
	{ 0x78db8633, "do_xdp_generic" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8cca3ca2, "__folio_put" },
	{ 0x2b09fd3d, "__put_devmap_managed_page_refs" },
	{ 0x8cc33d0, "skb_page_frag_refill" },
	{ 0x1b762ad0, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xac0e0d2b, "_copy_from_iter" },
	{ 0x15086028, "iov_iter_npages" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0x6bde6600, "skb_copy_datagram_from_iter" },
	{ 0xa75a7b59, "sock_alloc_send_pskb" },
	{ 0x5145a921, "zerocopy_sg_from_iter" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0x288c6fd9, "skb_push" },
	{ 0x1923ff44, "eth_get_headlen" },
	{ 0x3066d9e1, "napi_gro_frags" },
	{ 0x8cbddc6c, "iov_iter_revert" },
	{ 0xe12c56ab, "napi_schedule_prep" },
	{ 0x10be1133, "__napi_schedule" },
	{ 0x8b9441ce, "get_net_ns" },
	{ 0xa7fdd53d, "open_related_ns" },
	{ 0xa2e7c5c8, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x5a21eb2c, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x48292901, "netdev_update_features" },
	{ 0x2aee2496, "dev_set_mac_address_user" },
	{ 0xfb390213, "make_kuid" },
	{ 0xac1dfe1a, "init_user_ns" },
	{ 0x8eb92607, "from_kuid" },
	{ 0x8e0af31b, "sk_detach_filter" },
	{ 0x73ed50f3, "call_netdevice_notifiers" },
	{ 0x39f48152, "__module_get" },
	{ 0xc40321d4, "from_kgid" },
	{ 0xe5842354, "ethtool_op_get_link" },
	{ 0x8a39aa4c, "ethtool_op_get_ts_info" },
	{ 0x45a85a31, "passthru_features_check" },
	{ 0xa3441400, "eth_mac_addr" },
	{ 0xed4740c9, "eth_validate_addr" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B4264757A94033474468135");
MODULE_INFO(rhelversion, "9.6");
