#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x4881bc44, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x450f851d, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xfa291dbd, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x26bec70d, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x7d29e8a7, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xda6b96eb, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x0a3b180b, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x76f73514, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xb877ec8c, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x298d2f5a, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0xc8068cf2, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x14c54e0a, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xbfb62553, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x6904278d, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x5cf95463, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x83883263, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x45ba11ea, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x364f248e, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x32426f2d, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x368f06da, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xf6f25d9f, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x24df10e7, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x0c37aee3, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x4a208d53, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x1a49b45e, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x0d4abcdc, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xafd5587a, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xa589a106, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x55d176bf, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xed805b00, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xed562c3d, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x4d80b3a9, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xf53497dd, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x0df3d724, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x50ce6aba, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x41a85d8a, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xdc9d809c, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xa426e5ad, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xd7217a4b, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x1e7ad54b, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xe4556bb1, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0xa1fa1d78, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xdfedfa5d, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xc7d39876, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0xf6993217, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x0b252691, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xb381d812, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x441067c6, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x20fe7ddb, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x14099dd3, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x16076c5b, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x85cdefc4, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xfce850a7, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xde358ac9, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xe0d7486b, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x8e7ec2b6, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x9d91ae8e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x3632c438, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x1dc44d6d, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x570c7c61, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x89831321, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0xabc2ea95, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xf95bce90, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff2956be, "set_capacity_and_notify" },
	{ 0xb13b6d60, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe54a952, "set_disk_ro" },
	{ 0x1b3523ca, "__blk_alloc_disk" },
	{ 0xdc3ad3c, "ida_alloc_range" },
	{ 0xcf01d1a0, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x16b86445, "bio_integrity_map_user" },
	{ 0xdc9f99ca, "ida_destroy" },
	{ 0xd36dbc71, "device_remove_file_self" },
	{ 0x3143a88c, "param_ops_uint" },
	{ 0xd3865497, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x189715e6, "dev_set_name" },
	{ 0xe4d6e8cf, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x7deb73c9, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xaadc1183, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb043a1a1, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x2b943566, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xdcb193e3, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0x7de28e04, "finish_wait" },
	{ 0xc160a380, "queue_limits_stack_bdev" },
	{ 0xcdf13d55, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xdd15c9bc, "device_initialize" },
	{ 0x83b43aea, "blk_mq_unquiesce_queue" },
	{ 0x103b822, "blk_mq_quiesce_queue" },
	{ 0xf8db379e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x653e5b32, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xe4c87472, "__traceiter_block_bio_remap" },
	{ 0xb32aac7c, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x579b958, "bpf_trace_run2" },
	{ 0x2ce6f61, "prepare_to_wait_event" },
	{ 0x89b59e6, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x9fdd4310, "__wake_up" },
	{ 0xfda1d937, "event_triggers_call" },
	{ 0x1cf466d9, "synchronize_srcu" },
	{ 0xf1f2b137, "param_ops_byte" },
	{ 0xced022fa, "kmem_cache_create" },
	{ 0xaa73c009, "get_device" },
	{ 0x791bcf9f, "blk_mq_end_request" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xa55f0ca, "__blk_mq_alloc_disk" },
	{ 0xd1fcbd21, "__dynamic_dev_dbg" },
	{ 0x120992ac, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x60e24c92, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa11c556, "blk_mq_alloc_tag_set" },
	{ 0xfb778c06, "blk_rq_is_poll" },
	{ 0x4b3c72f9, "trace_event_buffer_commit" },
	{ 0xa3e85da7, "crypto_destroy_tfm" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xbd35afb2, "mempool_create" },
	{ 0x98539b15, "put_disk" },
	{ 0x324ee267, "crypto_alloc_kpp" },
	{ 0xa788219f, "cdev_device_add" },
	{ 0xd1b915b5, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x45b64e89, "blk_execute_rq" },
	{ 0x1786a938, "put_device" },
	{ 0xb45e3f8b, "trace_event_ignore_this_pid" },
	{ 0x86ef0650, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0x8c36dc47, "kmalloc_node_trace" },
	{ 0x489a6dae, "mempool_alloc" },
	{ 0xe5adaada, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0x839d7440, "__free_pages" },
	{ 0x7cd3aa66, "_dev_info" },
	{ 0xcc2380dc, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeeb6e8b2, "module_put" },
	{ 0x4bce8344, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb023a86e, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9eb8d078, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x867a3bad, "blk_mq_quiesce_tagset" },
	{ 0x62a3d7f2, "kobject_uevent_env" },
	{ 0x36de5f83, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x7d16d587, "init_srcu_struct" },
	{ 0x9aa3a42b, "perf_trace_run_bpf_submit" },
	{ 0x6bd3e5bb, "_dev_err" },
	{ 0xa5472403, "blk_revalidate_disk_zones" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xa038a23f, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc18bfaeb, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x1c4c0643, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xd3d2984d, "sysfs_remove_link" },
	{ 0xa72e0bb3, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x82b0d22b, "__srcu_read_lock" },
	{ 0xf3ebcf7, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x41379d84, "submit_bio_noacct" },
	{ 0xa822ec79, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0x9f8d6f63, "blk_sync_queue" },
	{ 0xacb220f2, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x9fc68188, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x89d55af0, "blk_mq_alloc_request_hctx" },
	{ 0xbcfbfd2b, "blk_mq_alloc_request" },
	{ 0xba05404d, "ida_free" },
	{ 0xb2b666d9, "crypto_shash_update" },
	{ 0x5bb428cb, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x56ef2e66, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x635a77db, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd7154390, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0xa64f74cc, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x322a3a32, "blk_put_queue" },
	{ 0x3ed0abc, "bpf_trace_run1" },
	{ 0xfa158906, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0x572e3d43, "_dev_warn" },
	{ 0x12a85423, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x9956519d, "__init_waitqueue_head" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0x291e1bfb, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x833ea53e, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0xef35dda8, "xa_erase" },
	{ 0xc4e7bb30, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf78922d7, "blk_mq_complete_request" },
	{ 0x4c61ee93, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x881ebd9c, "trace_event_buffer_reserve" },
	{ 0xadefdd1e, "crypto_shash_final" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x45314eac, "param_ops_bool" },
	{ 0xe2ba2b91, "blk_mq_destroy_queue" },
	{ 0x4b92fd33, "xa_destroy" },
	{ 0x81227e7, "blk_freeze_queue_start" },
	{ 0xfb4fe688, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x40c0ca25, "xa_find" },
	{ 0x537fd8d1, "alloc_pages" },
	{ 0xa2b3036e, "mempool_destroy" },
	{ 0xef0dde4c, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65f3c8c, "__tracepoint_block_bio_complete" },
	{ 0xb47281cb, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x264996f6, "__srcu_read_unlock" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0xf317e7c5, "blk_mq_unfreeze_queue" },
	{ 0xf8ae366e, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xe9198f1d, "queue_limits_commit_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa8b4815e, "xa_find_after" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x5a31b4ad, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf62d6561, "crypto_alloc_shash" },
	{ 0xb2b2e137, "blk_mq_freeze_queue_wait" },
	{ 0x3f190e3d, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x85cf78d6, "blk_mq_requeue_request" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0xbee7ce85, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x253d097c, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x82c9fcb8, "bdev_end_io_acct" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x8b6cd322, "blk_steal_bios" },
	{ 0xcba4b3e7, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "7F8AFC0F24E64D67FC57077");
MODULE_INFO(rhelversion, "9.6");
