#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x6b26863d, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50ce6aba, "nvme_remove_admin_tag_set" },
	{ 0x85cdefc4, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xdc3ad3c, "ida_alloc_range" },
	{ 0x1e7ad54b, "nvme_uninit_ctrl" },
	{ 0xdc9f99ca, "ida_destroy" },
	{ 0x26bec70d, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3c41f1b9, "nvmf_free_options" },
	{ 0xe5ada3d2, "nvmf_subsystem_reset" },
	{ 0x2b943566, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0x7de28e04, "finish_wait" },
	{ 0x4a208d53, "nvme_stop_keep_alive" },
	{ 0x40429fd8, "blk_mq_complete_request_remote" },
	{ 0x67d1a462, "dma_unmap_page_attrs" },
	{ 0x45ba11ea, "nvme_setup_cmd" },
	{ 0xd7217a4b, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0xdf3d724, "nvme_alloc_admin_tag_set" },
	{ 0x416a6d88, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x2ce6f61, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xb81e61a4, "nvmf_reg_read32" },
	{ 0x9fdd4310, "__wake_up" },
	{ 0xfa291dbd, "nvme_delete_ctrl" },
	{ 0xaa73c009, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x15826138, "dev_driver_string" },
	{ 0x8bde8bf3, "nvmf_get_address" },
	{ 0x7fea4d17, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xdc9d809c, "nvme_remove_io_tag_set" },
	{ 0x83883263, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3632c438, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x4328d3dd, "nvmf_unregister_transport" },
	{ 0x21354a07, "blkcg_get_fc_appid" },
	{ 0x1786a938, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x298d2f5a, "nvme_change_ctrl_state" },
	{ 0x7cd3aa66, "_dev_info" },
	{ 0xe4556bb1, "nvme_init_ctrl" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x41a85d8a, "nvme_alloc_io_tag_set" },
	{ 0x6904278d, "nvme_fail_nonready_command" },
	{ 0x62a3d7f2, "kobject_uevent_env" },
	{ 0x1f39b879, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6bd3e5bb, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0xe6031d95, "device_create" },
	{ 0x9f8d6f63, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xc1fcbe82, "__blk_rq_map_sg" },
	{ 0xba05404d, "ida_free" },
	{ 0xccfbd82e, "nvmf_reg_read64" },
	{ 0x5bb428cb, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x9eb8fbe0, "nvmf_connect_admin_queue" },
	{ 0x55d176bf, "nvme_enable_ctrl" },
	{ 0x16076c5b, "nvme_unquiesce_admin_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0x572e3d43, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x9956519d, "__init_waitqueue_head" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x20fe7ddb, "nvme_unquiesce_io_queues" },
	{ 0x8ab3d8ab, "blk_mq_update_nr_hw_queues" },
	{ 0x4bb9766d, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x8a1fd6a0, "nvmf_should_reconnect" },
	{ 0xcdd6e2a, "__dma_sync_single_for_device" },
	{ 0xf53497dd, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xabbb76ed, "device_destroy" },
	{ 0xafd5587a, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xe1d0281d, "nvmf_register_transport" },
	{ 0x7d9aa55b, "blk_mq_start_request" },
	{ 0x441067c6, "nvme_quiesce_io_queues" },
	{ 0xf8ae366e, "blk_mq_tagset_busy_iter" },
	{ 0xa426e5ad, "nvme_stop_ctrl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdd332db, "dma_unmap_sg_attrs" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0xed805b00, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x450f851d, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x14099dd3, "nvme_quiesce_admin_queue" },
	{ 0xbee7ce85, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5cf95463, "__nvme_check_ready" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0xbd9c98cc, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa1fa1d78, "nvme_add_ctrl" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "837806316F0ED06192F0363");
MODULE_INFO(rhelversion, "9.6");
