#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0x7853a79f, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0x5456dfea, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0xdbb6c4fe, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0xc6ba5eba, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0x2865ad9f, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0xdd76f833, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0x07c00e42, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0xf180f20f, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x8058928d, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0xcba081c1, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0xaf613568, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc2404db2, "filp_open" },
	{ 0xdc3ad3c, "ida_alloc_range" },
	{ 0xac0e129d, "bdev_file_open_by_path" },
	{ 0xcf01d1a0, "try_module_get" },
	{ 0x9dbc30c2, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xdc9f99ca, "ida_destroy" },
	{ 0x5913738c, "config_group_init" },
	{ 0x177ed4e2, "config_group_find_item" },
	{ 0x41071b9d, "radix_tree_insert" },
	{ 0xe7a75675, "bio_add_zone_append_page" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xb043a1a1, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xee3aca8c, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9ece9e6d, "radix_tree_lookup" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0xcdf13d55, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xf8db379e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x653e5b32, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x579b958, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xfda1d937, "event_triggers_call" },
	{ 0xfaee5f16, "pci_p2pmem_free_sgl" },
	{ 0xced022fa, "kmem_cache_create" },
	{ 0xaa73c009, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x120992ac, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x66f8fbd, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4b3c72f9, "trace_event_buffer_commit" },
	{ 0xa3e85da7, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xbd35afb2, "mempool_create" },
	{ 0x324ee267, "crypto_alloc_kpp" },
	{ 0x706bff1e, "vfs_fallocate" },
	{ 0x6133e3fc, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x1786a938, "put_device" },
	{ 0xb45e3f8b, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x489a6dae, "mempool_alloc" },
	{ 0xe657918e, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0x85428fa7, "submit_bio" },
	{ 0xeeb6e8b2, "module_put" },
	{ 0xbe008c0f, "pci_p2pdma_distance_many" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb023a86e, "nvme_auth_gen_pubkey" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x79ca13c2, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xed94d5d1, "bio_put" },
	{ 0xbb0a88c9, "radix_tree_delete" },
	{ 0x36de5f83, "bio_endio" },
	{ 0x12639232, "sg_miter_next" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x9aa3a42b, "perf_trace_run_bpf_submit" },
	{ 0xffd3d500, "fput" },
	{ 0x4dad4c97, "down_write" },
	{ 0x60837fb, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xa038a23f, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb4e886a8, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xf529d13f, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa822ec79, "xa_load" },
	{ 0xa24a309f, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0xf0cd2a2, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x86f0b786, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x9fc68188, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x2478bdc9, "bio_chain" },
	{ 0xba05404d, "ida_free" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xe365053e, "pci_p2pdma_enable_store" },
	{ 0x5ba05166, "pci_p2pmem_alloc_sgl" },
	{ 0x407d0751, "bio_add_page" },
	{ 0xb2b666d9, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x21de033a, "bio_integrity_alloc" },
	{ 0xe808627c, "sg_miter_start" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3ed0abc, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xf7287338, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0xac825445, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0x45372cfd, "pci_p2pdma_enable_show" },
	{ 0x94672c34, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0x97b0f8a8, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xef35dda8, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0x881ebd9c, "trace_event_buffer_reserve" },
	{ 0xadefdd1e, "crypto_shash_final" },
	{ 0xce8cb8d5, "vfs_fsync" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4b92fd33, "xa_destroy" },
	{ 0x40c0ca25, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa6bf1560, "pci_dev_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa2b3036e, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0x2574c413, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5f25e6f7, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa8b4815e, "xa_find_after" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4e32e00c, "pci_p2pmem_find_many" },
	{ 0xf62d6561, "crypto_alloc_shash" },
	{ 0x3f190e3d, "nvme_auth_gen_privkey" },
	{ 0xa21b541b, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x35c80711, "up_read" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0xfbe2aded, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xbe58bdca, "submit_bio_wait" },
	{ 0x2ec1f3fb, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x7366f6c9, "__blkdev_issue_discard" },
	{ 0xc06b470c, "fs_bio_set" },
	{ 0x780e3145, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcba4b3e7, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "231A7E58FA3077D7F234ABB");
MODULE_INFO(rhelversion, "9.6");
