#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x630603ad, "devm_thermal_add_hwmon_sysfs" },
	{ 0x96ee8279, "thermal_zone_device_priv" },
	{ 0xd6841a32, "regmap_write" },
	{ 0x4b007e1e, "devm_request_threaded_irq" },
	{ 0x3d087ec2, "devm_kmalloc" },
	{ 0xb25f643c, "of_property_read_variable_u32_array" },
	{ 0x53010660, "platform_driver_unregister" },
	{ 0x69aa22e2, "of_find_device_by_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0xa5278251, "nvmem_cell_get" },
	{ 0xc6b6759d, "thermal_zone_device_update" },
	{ 0x37a0cba, "kfree" },
	{ 0x3da4cfa9, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb0a2c3, "regmap_field_update_bits_base" },
	{ 0xd1fcbd21, "__dynamic_dev_dbg" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x9b95beaf, "nvmem_cell_read_variable_le_u32" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0xad2e3268, "platform_get_irq_byname" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1786a938, "put_device" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0xcda5696d, "regmap_field_read" },
	{ 0xb8f9efa5, "devm_regmap_field_alloc" },
	{ 0x4b1790b8, "debugfs_lookup" },
	{ 0x6bd3e5bb, "_dev_err" },
	{ 0x200d29dc, "platform_get_resource" },
	{ 0x9a6fbca2, "debugfs_remove" },
	{ 0xf0922e5f, "syscon_node_to_regmap" },
	{ 0x7c021052, "of_match_node" },
	{ 0x572e3d43, "_dev_warn" },
	{ 0x7ca0b618, "__devm_regmap_init_mmio_clk" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x705e9bd8, "__platform_driver_register" },
	{ 0x970e94a6, "seq_read" },
	{ 0xdec2389e, "debugfs_create_file" },
	{ 0xd876ed4b, "regmap_read" },
	{ 0x8d91cbf2, "devm_ioremap_resource" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3299bdd9, "seq_printf" },
	{ 0xdc04555f, "seq_puts" },
	{ 0xd48f8bf2, "single_release" },
	{ 0x232e28e6, "regmap_update_bits_base" },
	{ 0x58c3b47, "devm_thermal_of_zone_register" },
	{ 0x3073e7e8, "single_open" },
	{ 0xe91c2199, "debugfs_create_dir" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,ipq8064-tsens");
MODULE_ALIAS("of:N*T*Cqcom,ipq8064-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,ipq8074-tsens");
MODULE_ALIAS("of:N*T*Cqcom,ipq8074-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,mdm9607-tsens");
MODULE_ALIAS("of:N*T*Cqcom,mdm9607-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8226-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8226-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8909-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8909-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8916-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8916-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8939-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8939-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8956-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8956-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8960-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8960-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8974-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8974-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8976-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8976-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8996-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8996-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,tsens-v1");
MODULE_ALIAS("of:N*T*Cqcom,tsens-v1C*");
MODULE_ALIAS("of:N*T*Cqcom,tsens-v2");
MODULE_ALIAS("of:N*T*Cqcom,tsens-v2C*");

MODULE_INFO(srcversion, "EB5EE1BB07EC8B743CE28D9");
MODULE_INFO(rhelversion, "9.6");
