#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0x582be88c, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0xbb4908b8, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x2e1b2c30, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x9a80c67b, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x071ce658, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x397b6f6f, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0xff719214, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0xedeb7ed2, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0x9cc42bf2, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0xd17341cd, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x3883be61, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0x96f8f874, "");
SYMBOL_CRC(vfio_unpin_pages, 0xa1cd7b97, "");
SYMBOL_CRC(vfio_dma_rw, 0xb28bf3de, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x157d6423, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x6068b4f3, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x54e8d339, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x985851e3, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x8bdbdca5, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xe5dd8b6f, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x677a65ed, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x71b5184e, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0x278578fe, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0x738d77ae, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0xdc06f091, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0x749304e6, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0x457b3e6f, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0xb6bd4afd, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0x398be957, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0xe8edd2d5, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0x3b8a3e10, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0xd098eea2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x8e63437a, "iommufd_vfio_compat_ioas_get_id" },
	{ 0xec403a1e, "iommufd_access_unpin_pages" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xdc3ad3c, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0xcf01d1a0, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xdb19dd62, "anon_inode_getfile" },
	{ 0x76e5e708, "__init_rwsem" },
	{ 0xe0f9115a, "alloc_anon_inode" },
	{ 0x35b0ec57, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xdf075678, "iommufd_access_detach" },
	{ 0xdc9f99ca, "ida_destroy" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x189715e6, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xdcb193e3, "cdev_device_del" },
	{ 0xcc341c58, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0xe0286d25, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0xae61686c, "__xa_erase" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0xdd15c9bc, "device_initialize" },
	{ 0x78bb994d, "iommufd_device_attach" },
	{ 0x907b223c, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xab00b1e6, "iommufd_access_pin_pages" },
	{ 0xbff4422c, "iput" },
	{ 0xc88d21ab, "add_wait_queue" },
	{ 0x512abbc3, "iommufd_ctx_from_fd" },
	{ 0x46ed9174, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0xd1fcbd21, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x5582325, "iommufd_vfio_compat_set_no_iommu" },
	{ 0xa2a6cbe0, "iommufd_vfio_compat_ioas_create" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x92997ed8, "_printk" },
	{ 0xa788219f, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x1786a938, "put_device" },
	{ 0x801e6cf4, "iommufd_ctx_from_file" },
	{ 0x7cd3aa66, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeeb6e8b2, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0xffd3d500, "fput" },
	{ 0x4dad4c97, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x60837fb, "up_write" },
	{ 0xc18bfaeb, "device_add" },
	{ 0xa822ec79, "xa_load" },
	{ 0x40eeb90e, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x60fefeaf, "class_create" },
	{ 0x9fcb65ca, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0xba05404d, "ida_free" },
	{ 0x22e7feca, "iommufd_access_rw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfa158906, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x572e3d43, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0xdf469bae, "iommufd_access_destroy" },
	{ 0x79c65ec0, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x94672c34, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0x9a4aecad, "__xa_cmpxchg" },
	{ 0xd4d067c6, "iommufd_device_to_id" },
	{ 0x2fc7b7a3, "init_pseudo" },
	{ 0xbc9ed9cd, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x56ee2c0c, "__pm_runtime_resume" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0x45314eac, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x4b92fd33, "xa_destroy" },
	{ 0x344cf120, "iommufd_ctx_put" },
	{ 0xc3974265, "iommufd_access_create" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x56aea7df, "iommufd_device_detach" },
	{ 0xed965ede, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf7a56eb7, "simple_release_fs" },
	{ 0x8a058da2, "kill_anon_super" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xd4604452, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb8a00c3c, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0xf30d81dc, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x35c80711, "up_read" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xd41e6dfa, "__pm_runtime_idle" },
	{ 0x253d097c, "cdev_init" },
	{ 0xa665eeae, "iommufd_device_replace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x17ba6173, "eventfd_ctx_fileget" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0xf7a28a32, "iommu_group_remove_device" },
	{ 0xebe3ffd0, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "80C08A9AB5DF09EA0863245");
MODULE_INFO(rhelversion, "9.6");
