#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0x9f6f60fb, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0x7d1ea26c, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0xf4923248, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x8042b09e, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0x25396ee4, "_gpl");
SYMBOL_CRC(lockd_up, 0x50a15217, "_gpl");
SYMBOL_CRC(lockd_down, 0xb95f7b31, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0xd9777f48, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x77e35ccc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3e8fd1, "rpc_put_task" },
	{ 0x59df335c, "svc_generic_rpcbind_set" },
	{ 0xd0c92ea3, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x76e5e708, "__init_rwsem" },
	{ 0x4020b0c1, "bpf_trace_run4" },
	{ 0x3143a88c, "param_ops_uint" },
	{ 0x9fee1d23, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1e894817, "rpc_shutdown_client" },
	{ 0x4ca34d49, "svc_bind" },
	{ 0x6cc36113, "proc_create" },
	{ 0x5600e357, "svc_recv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9162d83d, "xdr_inline_decode" },
	{ 0xb043a1a1, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0x7de28e04, "finish_wait" },
	{ 0xcdf13d55, "trace_event_printf" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xfbd28f7d, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xf8db379e, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x36971283, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x41303566, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x776886c1, "svc_exit_thread" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0x2ce6f61, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xfda1d937, "event_triggers_call" },
	{ 0x9fdd4310, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x8b8491e1, "param_get_ulong" },
	{ 0x1cdabd4f, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7fbab1ef, "__put_cred" },
	{ 0xe5185ba, "register_pernet_subsys" },
	{ 0xc46e1330, "locks_in_grace" },
	{ 0x3ca3b52f, "wake_up_process" },
	{ 0x4b3c72f9, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x302a0e50, "proc_dobool" },
	{ 0x5107bb7a, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x96fca7a3, "unregister_sysctl_table" },
	{ 0xb45e3f8b, "trace_event_ignore_this_pid" },
	{ 0xce57afa, "locks_release_private" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x354f54f6, "locks_init_lock" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x42bd5dee, "simple_transaction_release" },
	{ 0xb7d4d4f9, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x23c80a4b, "svc_age_temp_xprts_now" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9aa3a42b, "perf_trace_run_bpf_submit" },
	{ 0x4dad4c97, "down_write" },
	{ 0x94164839, "init_net" },
	{ 0x60837fb, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xdbdee6a, "svc_set_num_threads" },
	{ 0xbdb1576a, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0x408564ba, "vfs_cancel_lock" },
	{ 0x551fc565, "proc_doulongvec_minmax" },
	{ 0x9fc68188, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x53445f68, "nlm_debug" },
	{ 0xc705a7ee, "freezing_slow_path" },
	{ 0x340fded7, "rpc_create" },
	{ 0x2d1920df, "svc_destroy" },
	{ 0x8a1a90cd, "rpc_call_start" },
	{ 0x199abfe1, "svc_create" },
	{ 0x2433e131, "default_llseek" },
	{ 0x14f1cece, "rpc_call_sync" },
	{ 0x3901cb85, "proc_mkdir" },
	{ 0xcd5d2b29, "unregister_pernet_subsys" },
	{ 0xdcb764ad, "memset" },
	{ 0xbcca329a, "vfs_lock_file" },
	{ 0xdb09c8eb, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x9956519d, "__init_waitqueue_head" },
	{ 0xbd703c4a, "svc_generic_init_request" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0x94672c34, "down_read" },
	{ 0x37bcba16, "svc_set_client" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0xe625f6a1, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x443d0be9, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x6516040f, "rpc_force_rebind" },
	{ 0x881ebd9c, "trace_event_buffer_reserve" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x45314eac, "param_ops_bool" },
	{ 0x9b557be6, "rpc_restart_call" },
	{ 0x6ea5f6fb, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x5fcb8793, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa517f952, "svc_find_xprt" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x205bfb34, "proc_dointvec" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xbd1a4e20, "svc_print_addr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x9d7e4233, "locks_delete_block" },
	{ 0x98cf60b3, "strlen" },
	{ 0x20ba7a74, "locks_start_grace" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x7c27cc29, "param_get_int" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x35c80711, "up_read" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0x55ac4ea3, "svc_xprt_create" },
	{ 0xf2171101, "rpc_wait_for_completion_task" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0xa92dc1b3, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a104a9f, "proc_dointvec_minmax" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "B2433ABB3770CFD41D926C7");
MODULE_INFO(rhelversion, "9.6");
