#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xb76bfa47, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x3745a662, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xc2fac5b9, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xa7291897, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xc3549743, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x45a5c2f9, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x31cee3b2, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xb06afe6c, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x6784ab78, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x58b38360, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x4ed651d4, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xd02736c1, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x42c113eb, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x84fe226d, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x6c89ff9e, "");
SYMBOL_CRC(nf_nat_follow_master, 0x0eb01ea5, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xa97f65fc, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x75189df2, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xea65e8a1, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xf5128703, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x2f4c2feb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74134eca, "nf_ct_ext_add" },
	{ 0x904c3226, "__do_once_done" },
	{ 0xf11f905a, "nf_conntrack_find_get" },
	{ 0xcf01d1a0, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6f87d73c, "nf_ip6_checksum" },
	{ 0x78be21b6, "skb_copy_bits" },
	{ 0x513f846, "nf_hook_entries_insert_raw" },
	{ 0x8ef8db04, "xfrm_lookup" },
	{ 0xdc573e20, "nf_ct_seqadj_set" },
	{ 0xb9b6d7ba, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf2e55a93, "nf_ct_helper_expectfn_unregister" },
	{ 0xa2516cbc, "__xfrm_decode_session" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xcaf29f60, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x1b31b177, "pskb_expand_head" },
	{ 0xe5185ba, "register_pernet_subsys" },
	{ 0x70795796, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x98c5c46f, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf3a6c104, "ipv6_skip_exthdr" },
	{ 0x784e38c5, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xbe4109, "nf_ipv6_ops" },
	{ 0xeeb6e8b2, "module_put" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xd7318213, "nf_conntrack_alter_reply" },
	{ 0xc9d408e4, "ip_route_me_harder" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0x1f0f05a, "nf_hook_entries_delete_raw" },
	{ 0x2f449ce4, "skb_ensure_writable" },
	{ 0x71b94d56, "nf_unregister_net_hooks" },
	{ 0x3d5f30d1, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0xcd5d2b29, "unregister_pernet_subsys" },
	{ 0x7fae16de, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa10208c, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xf263a7ec, "nf_ip_checksum" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0x7e6a3fd2, "register_btf_kfunc_id_set" },
	{ 0x3f860e56, "nf_ct_iterate_destroy" },
	{ 0x70ce7d75, "inet_proto_csum_replace16" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xcd26fbf4, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x65c535f8, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf54c24b4, "__skb_checksum" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0x60a1a689, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe1499db9, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x74c4137b, "dst_release" },
	{ 0x816615be, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x80ffc714, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "EEB9ABC658119093C34A105");
MODULE_INFO(rhelversion, "9.6");
