#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xc1a06d7d, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x5ac6cfc5, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x2f9b6fbf, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xb4fc2d95, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x6eff4e1c, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xa90f3e84, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74134eca, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0x27134208, "nsh_pop" },
	{ 0xf11f905a, "nf_conntrack_find_get" },
	{ 0x5ae67a41, "nf_ct_set_timeout" },
	{ 0xfeafb184, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0xcf01d1a0, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x405fb13d, "dev_fill_metadata_dst" },
	{ 0x4020b0c1, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xc3ce8806, "nf_ct_handle_fragments" },
	{ 0xa3441400, "eth_mac_addr" },
	{ 0xb9b6d7ba, "skb_put" },
	{ 0x2ca81477, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc7784825, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xebcbf978, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x2f4c2feb, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9340b67, "skb_eth_pop" },
	{ 0xb043a1a1, "trace_raw_output_prep" },
	{ 0x52e302fa, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xde95cb7c, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x1e820665, "nf_ct_helper" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0x342a6e5, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xcdf13d55, "trace_event_printf" },
	{ 0xe3b679f, "rtnl_delete_link" },
	{ 0xb98dbae5, "rtnl_link_register" },
	{ 0x955d61a, "nf_connlabels_put" },
	{ 0x1ebbf228, "genlmsg_put" },
	{ 0x6146fa1a, "___pskb_trim" },
	{ 0xf8db379e, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x84ebb44c, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ecb4d32, "dev_set_promiscuity" },
	{ 0xdd02b6b1, "nf_ct_destroy_timeout" },
	{ 0x34fa5579, "nf_ct_add_helper" },
	{ 0x956dd42a, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd9b347dd, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7edb0736, "nf_ct_skb_network_trim" },
	{ 0xfda1d937, "event_triggers_call" },
	{ 0x9a7f2f62, "unregister_netdevice_queue" },
	{ 0xced022fa, "kmem_cache_create" },
	{ 0x72237620, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x916758a3, "node_states" },
	{ 0xa663e71e, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfd196419, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x1b31b177, "pskb_expand_head" },
	{ 0xc24db339, "skb_csum_hwoffload_help" },
	{ 0x4b3c72f9, "trace_event_buffer_commit" },
	{ 0x8cd5d54e, "nf_connlabels_replace" },
	{ 0x468c7d2a, "eth_type_trans" },
	{ 0x69adb60c, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x623d1693, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x2a3740a6, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xb45e3f8b, "trace_event_ignore_this_pid" },
	{ 0x40943f7f, "skb_eth_push" },
	{ 0x1104a5b1, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xb09da742, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x187a49dd, "kmem_cache_alloc" },
	{ 0xc3c786d5, "skb_mpls_pop" },
	{ 0x982c3796, "skb_vlan_pop" },
	{ 0x4d07a187, "dst_init" },
	{ 0xeeb6e8b2, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x90dd59e7, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x7a244b7a, "rtnl_link_unregister" },
	{ 0x9aa3a42b, "perf_trace_run_bpf_submit" },
	{ 0x94164839, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x8baee746, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7621b531, "skb_mpls_update_lse" },
	{ 0x1d50cf9d, "skb_pull" },
	{ 0x8b2af56d, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfc7664ae, "sk_skb_reason_drop" },
	{ 0x415f0fbe, "netlink_unicast" },
	{ 0x5f502ad2, "bpf_trace_run5" },
	{ 0xc219eee9, "dev_get_by_index_rcu" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0x288c6fd9, "skb_push" },
	{ 0x96573ccd, "kmem_cache_free" },
	{ 0x1c52a2e0, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x9fc68188, "trace_event_reg" },
	{ 0x2f449ce4, "skb_ensure_writable" },
	{ 0xe3a5bd05, "free_netdev" },
	{ 0xab8d8e9d, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x22b4995d, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe5842354, "ethtool_op_get_link" },
	{ 0xeb862ae3, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x680f0b8a, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x72dbe8f, "__pskb_pull_tail" },
	{ 0xa10208c, "nf_ct_delete" },
	{ 0x437eaf95, "nf_conncount_init" },
	{ 0x1b93eb90, "skb_vlan_push" },
	{ 0x621049de, "dev_get_tstats64" },
	{ 0x231b489e, "netif_rx" },
	{ 0x344a8280, "__netdev_alloc_skb" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0x47af1f3a, "netdev_master_upper_dev_link" },
	{ 0x72fa34a, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x94672c34, "down_read" },
	{ 0x70ce7d75, "inet_proto_csum_replace16" },
	{ 0x74271d0a, "skb_trim" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe94dd47a, "skb_scrub_packet" },
	{ 0x6a5f811e, "nf_ct_deliver_cached_events" },
	{ 0xa1e13de4, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x72fa1662, "skb_tx_error" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xd86d91c3, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x881ebd9c, "trace_event_buffer_reserve" },
	{ 0xf54c24b4, "__skb_checksum" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x60a1a689, "inet_proto_csum_replace4" },
	{ 0x82b8f86a, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x45e187a5, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8f9fc3d, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb3133038, "dev_get_by_name" },
	{ 0xf4e570f8, "skb_clone" },
	{ 0x5dfeeb29, "metadata_dst_alloc" },
	{ 0x74c4137b, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x569e7f9d, "peernet2id_alloc" },
	{ 0x65d735c3, "nf_ct_get_tuplepr" },
	{ 0x9d4ff948, "netdev_rx_handler_register" },
	{ 0x747cae3e, "ip_do_fragment" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x9de5f62c, "genl_unregister_family" },
	{ 0x8b8289a3, "dev_disable_lro" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xc403a54d, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xaf1a422, "genl_register_family" },
	{ 0xb04351ef, "nf_ct_tmpl_free" },
	{ 0x985710d9, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xabf22680, "__skb_gso_segment" },
	{ 0x35c80711, "up_read" },
	{ 0xc1265375, "skb_mpls_push" },
	{ 0xe1b837ce, "register_pernet_device" },
	{ 0xf8f70457, "nf_conntrack_in" },
	{ 0x31d22574, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0xc6ca3ada, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcba4b3e7, "kmem_cache_destroy" },
	{ 0x4f747b6a, "__skb_vlan_pop" },
	{ 0x24f775a8, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd89fb065, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "EAE177017CE23B26E274960");
MODULE_INFO(rhelversion, "9.6");
