#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x14526783, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xdd575a46, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x5704ec17, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xedab23b6, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x620031c0, "sock_queue_rcv_skb_reason" },
	{ 0xedd11b07, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4020b0c1, "bpf_trace_run4" },
	{ 0x78be21b6, "skb_copy_bits" },
	{ 0x41071b9d, "radix_tree_insert" },
	{ 0xb9b6d7ba, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xebcbf978, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb043a1a1, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x9ece9e6d, "radix_tree_lookup" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0xcdf13d55, "trace_event_printf" },
	{ 0xf1fa2c33, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xf8db379e, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xfda1d937, "event_triggers_call" },
	{ 0x9fdd4310, "__wake_up" },
	{ 0x39f48152, "__module_get" },
	{ 0x4e6ab02, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xd702e7ef, "sk_error_report" },
	{ 0x3fa1e60b, "skb_queue_purge_reason" },
	{ 0xe23b9d2a, "radix_tree_iter_delete" },
	{ 0x4b3c72f9, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x9a9c8953, "proto_unregister" },
	{ 0x9189fbf4, "sock_register" },
	{ 0x31df37ea, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb45e3f8b, "trace_event_ignore_this_pid" },
	{ 0xb09da742, "__alloc_skb" },
	{ 0x2d077495, "rt_write_unlock" },
	{ 0x37a4844a, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeeb6e8b2, "module_put" },
	{ 0xce96136b, "__xa_alloc" },
	{ 0x5d12cfe7, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9aa3a42b, "perf_trace_run_bpf_submit" },
	{ 0xc4a817f, "__traceiter_sk_data_ready" },
	{ 0x94164839, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf529d13f, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfc7664ae, "sk_skb_reason_drop" },
	{ 0xa822ec79, "xa_load" },
	{ 0xdcee2561, "kernel_getsockname" },
	{ 0xb0ac949d, "do_wait_intr_irq" },
	{ 0x1814ef12, "sk_free" },
	{ 0x34e7838d, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0x288c6fd9, "skb_push" },
	{ 0x4aaadaf, "sock_no_listen" },
	{ 0x9fc68188, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe877ef9a, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x173f9e0f, "skb_copy_datagram_iter" },
	{ 0x9cc33d5e, "sk_alloc" },
	{ 0x830c00b8, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x3b9e572, "sock_no_mmap" },
	{ 0x9956519d, "__init_waitqueue_head" },
	{ 0xccc3bafd, "sock_no_sendpage" },
	{ 0x344a8280, "__netdev_alloc_skb" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0x97b0f8a8, "__xa_insert" },
	{ 0xef35dda8, "xa_erase" },
	{ 0xc4e7bb30, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc2c5b145, "skb_set_owner_w" },
	{ 0x881ebd9c, "trace_event_buffer_reserve" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0xdb40add9, "sock_create_kern" },
	{ 0x40c0ca25, "xa_find" },
	{ 0x7f5be0e5, "skb_recv_datagram" },
	{ 0xa75a7b59, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb47281cb, "xa_store" },
	{ 0xf4e570f8, "skb_clone" },
	{ 0x49e4edd1, "rt_write_lock" },
	{ 0xac0e0d2b, "_copy_from_iter" },
	{ 0x10f59861, "sock_release" },
	{ 0x35a94b85, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa8b4815e, "xa_find_after" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8cbddc6c, "iov_iter_revert" },
	{ 0xb0f91365, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0x4c4e36c2, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0xf43d5348, "release_sock" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A6D685FCA11B50D9F3AB646");
MODULE_INFO(rhelversion, "9.6");
