#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0x4788ffb2, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x4ca2d6aa, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0xb9dac5af, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x84b3b017, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xca4578b6, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xf8bb3773, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x79a07cfc, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0xfe9328ac, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0xc2fae998, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x6d06bcca, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xdc8c0bb3, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0xb1b6ab50, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x384733c1, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x92f5175c, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x7d9b7b61, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xe99fe790, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x662eadbf, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x893c5909, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x9122165d, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x92c52187, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x47cc9da5, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x839091a5, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xd30a859a, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xc8a7e54c, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x2d03cf8f, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x77c14317, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x8c1f45f7, "sock_map_close" },
	{ 0x620031c0, "sock_queue_rcv_skb_reason" },
	{ 0xcf01d1a0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x35b0ec57, "misc_deregister" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xebcbf978, "consume_skb" },
	{ 0x7de28e04, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xfbd28f7d, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x49ffd799, "sock_map_unhash" },
	{ 0xc88d21ab, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x39f48152, "__module_get" },
	{ 0x1d7297a1, "sk_stream_error" },
	{ 0xfc664954, "sk_msg_recvmsg" },
	{ 0x785e0181, "ns_capable_noaudit" },
	{ 0x7fbab1ef, "__put_cred" },
	{ 0xd702e7ef, "sk_error_report" },
	{ 0x3fa1e60b, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0x9a9c8953, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9189fbf4, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x2d077495, "rt_write_unlock" },
	{ 0x37a4844a, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeeb6e8b2, "module_put" },
	{ 0x6e1a91c3, "sk_msg_is_readable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfc7664ae, "sk_skb_reason_drop" },
	{ 0x1814ef12, "sk_free" },
	{ 0x34e7838d, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0x4aaadaf, "sock_no_listen" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x9c96d4ef, "sock_recv_errqueue" },
	{ 0xe877ef9a, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4aed60a9, "mutex_lock_interruptible" },
	{ 0x9cc33d5e, "sk_alloc" },
	{ 0x830c00b8, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x79c65ec0, "misc_register" },
	{ 0x3b9e572, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xccc3bafd, "sock_no_sendpage" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x7006af77, "nonseekable_open" },
	{ 0x2f61fc64, "sk_psock_drop" },
	{ 0xd86d91c3, "__dev_queue_xmit" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xac1dfe1a, "init_user_ns" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf4e570f8, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x49e4edd1, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd5b16119, "remove_wait_queue" },
	{ 0x94704b40, "sock_no_ioctl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd1b0a79f, "sock_setsockopt" },
	{ 0x4c4e36c2, "sock_init_data" },
	{ 0xf43d5348, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F3DDBF114383C9B4C352D27");
MODULE_INFO(rhelversion, "9.6");
