#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x67faae04, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xf2ba5a5e, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x97b8ac80, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x37fa6e0c, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x76395128, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xb2feb66b, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x4f6e21c3, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x00dd2d4b, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x8705a96c, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xf9127733, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x44871116, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x91f18271, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x33201f7f, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xc286bbe2, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xfc351771, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x96003310, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xc4fa9863, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x3f41aa75, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xf29a0e3b, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x0380c77f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x5144c199, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x1fae3905, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xf16be0d0, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xc0ef0a45, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xd9a18982, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x0395729f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xe514126c, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0xa856c1c3, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x97171003, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x9bba6362, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x431eaa6d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0x4e076ae4, "kthread_queue_work" },
	{ 0x6bd3e5bb, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x572e3d43, "_dev_warn" },
	{ 0x3d087ec2, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0xf40a559d, "kthread_create_worker" },
	{ 0x7cd3aa66, "_dev_info" },
	{ 0x2f9500e4, "sched_set_fifo" },
	{ 0x89e22487, "kthread_destroy_worker" },
	{ 0x402e41d1, "crypto_register_aead" },
	{ 0xa313701, "crypto_unregister_aead" },
	{ 0x2f9b347e, "crypto_register_ahash" },
	{ 0xcb59a8be, "crypto_unregister_ahash" },
	{ 0x435aa7f6, "crypto_register_akcipher" },
	{ 0xea840b11, "crypto_unregister_akcipher" },
	{ 0x925aae70, "crypto_register_kpp" },
	{ 0x9501f5ee, "crypto_unregister_kpp" },
	{ 0x3286125b, "crypto_register_skcipher" },
	{ 0x87f3ffe4, "crypto_unregister_skcipher" },
	{ 0x871feb2a, "crypto_enqueue_request" },
	{ 0xa7482e6, "crypto_dequeue_request" },
	{ 0x4a7926c4, "crypto_enqueue_request_head" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5388079424D07DA9929859C");
MODULE_INFO(rhelversion, "9.6");
