#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xef4a1469, "");
SYMBOL_CRC(drm_gem_vram_put, 0xd2b7c9b8, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xbd3116a4, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xd545b245, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x8e559f27, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xee67ca7d, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x334b3633, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x5e4a71e4, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x79d27745, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x986b6265, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x3c03df60, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x4625811b, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x39987be1, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x46ea0b74, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x3e221ef8, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xccd85020, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc19a4588, "ttm_range_man_init_nocheck" },
	{ 0x488dea82, "ww_mutex_lock_interruptible" },
	{ 0xf7782a39, "ttm_resource_manager_debug" },
	{ 0x15cb7c39, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x13be0a55, "ttm_range_man_fini_nocheck" },
	{ 0xa933d9b6, "drm_gem_object_init" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0xda6bca1, "ttm_bo_pin" },
	{ 0x15826138, "dev_driver_string" },
	{ 0xfa9efdfb, "drm_gem_ttm_mmap" },
	{ 0x47f22fba, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe8f9a1a1, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xbb188287, "drm_gem_object_release" },
	{ 0xd280791, "ttm_tt_init" },
	{ 0x77656cf0, "drm_gem_handle_create" },
	{ 0xd25ce02d, "drm_gem_fb_get_obj" },
	{ 0x3f100752, "ttm_bo_unpin" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0xea694f5b, "drm_debugfs_add_files" },
	{ 0xaf82f837, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8436782, "ttm_device_init" },
	{ 0x87feb7db, "ttm_bo_validate" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3406762a, "ttm_bo_move_to_lru_tail" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x50386639, "ttm_bo_vmap" },
	{ 0x51b4e326, "ttm_bo_put" },
	{ 0x1de6bb19, "ttm_resource_free" },
	{ 0x8ac8fd1e, "ttm_bo_move_memcpy" },
	{ 0x58e4319d, "ttm_tt_fini" },
	{ 0xdf9e7b28, "ttm_device_fini" },
	{ 0x39cbf94c, "drm_gem_plane_helper_prepare_fb" },
	{ 0x70f128f, "ttm_bo_eviction_valuable" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x8c92c602, "drm_gem_ttm_print_info" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "1496405607BF97945448E9F");
MODULE_INFO(rhelversion, "9.6");
