#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa82aae92, "coresight_get_platform_data" },
	{ 0x6228c21f, "smp_call_function_single" },
	{ 0xefc053b1, "etm_perf_symlink" },
	{ 0x3d087ec2, "devm_kmalloc" },
	{ 0x94c53ddf, "coresight_loses_context_with_cpu" },
	{ 0x53010660, "platform_driver_unregister" },
	{ 0x97dfab75, "coresight_disclaim_device_unlocked" },
	{ 0xbf1f461c, "amba_driver_unregister" },
	{ 0x53985c60, "cscfg_csdev_disable_active_config" },
	{ 0xe819e149, "task_active_pid_ns" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x62262c91, "coresight_register" },
	{ 0xf0d6de83, "init_pid_ns" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xd1fcbd21, "__dynamic_dev_dbg" },
	{ 0x97e1e0d5, "cscfg_unregister_csdev" },
	{ 0x4ec8df51, "coresight_enable" },
	{ 0x128867b2, "__pm_runtime_set_status" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xdad5d1ab, "coresight_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x46ad1aed, "pm_runtime_enable" },
	{ 0xaa826b1f, "coresight_claim_device_unlocked" },
	{ 0x7cd3aa66, "_dev_info" },
	{ 0xd30fd559, "__amba_driver_register" },
	{ 0x444f1735, "cpu_pm_register_notifier" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x6bd3e5bb, "_dev_err" },
	{ 0xf0be5b54, "__cpuhp_setup_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xeca1a8e2, "coresight_timeout" },
	{ 0xc3b2a595, "cscfg_csdev_reset_feats" },
	{ 0xdcb764ad, "memset" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9a4a5b63, "cscfg_csdev_enable_active_config" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0x705e9bd8, "__platform_driver_register" },
	{ 0xa945df78, "cscfg_register_csdev" },
	{ 0x8da11240, "devm_kasprintf" },
	{ 0xcc624378, "fwnode_property_present" },
	{ 0x4f98d766, "cpu_pm_unregister_notifier" },
	{ 0x56ee2c0c, "__pm_runtime_resume" },
	{ 0x8d91cbf2, "devm_ioremap_resource" },
	{ 0x3775de91, "perf_event_addr_filters_sync" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb0043d28, "cscfg_config_sysfs_get_active_cfg" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe1e7823c, "param_ops_int" },
	{ 0x5f0652e9, "__pm_runtime_disable" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xcb19a720, "__cpuhp_remove_state" },
	{ 0x59106d46, "coresight_get_cpu" },
	{ 0xd41e6dfa, "__pm_runtime_idle" },
	{ 0x66359cde, "__dev_fwnode" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "coresight");

MODULE_ALIAS("acpi*:ARMHC500:*");
MODULE_ALIAS("amba:d???BB95D");
MODULE_ALIAS("amba:d???BB95E");
MODULE_ALIAS("amba:d???BB95A");
MODULE_ALIAS("amba:d???BB959");
MODULE_ALIAS("amba:d???BB9DA");
MODULE_ALIAS("amba:d???BBD05");
MODULE_ALIAS("amba:d???BBD0A");
MODULE_ALIAS("amba:d???BBD0C");
MODULE_ALIAS("amba:d???BBD41");
MODULE_ALIAS("amba:d???F0205");
MODULE_ALIAS("amba:d???F0211");
MODULE_ALIAS("amba:d???BB802");
MODULE_ALIAS("amba:d???BB803");
MODULE_ALIAS("amba:d???BB805");
MODULE_ALIAS("amba:d???BB804");
MODULE_ALIAS("amba:d???BBD0D");
MODULE_ALIAS("amba:d???CC0AF");
MODULE_ALIAS("amba:d???B6D01");
MODULE_ALIAS("amba:d???B6D02");

MODULE_INFO(srcversion, "3E0594DE574673070CC5368");
MODULE_INFO(rhelversion, "9.6");
