#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(coresight_barrier_pkt, "_gpl", "");
KSYMTAB_FUNC(coresight_set_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_set_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_get_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_set_assoc_ectdev_mutex, "_gpl", "");
KSYMTAB_FUNC(coresight_disable_path, "_gpl", "");
KSYMTAB_FUNC(coresight_enable, "_gpl", "");
KSYMTAB_FUNC(coresight_disable, "_gpl", "");
KSYMTAB_FUNC(coresight_timeout, "_gpl", "");
KSYMTAB_FUNC(coresight_register, "_gpl", "");
KSYMTAB_FUNC(coresight_unregister, "_gpl", "");
KSYMTAB_FUNC(coresight_loses_context_with_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_alloc_device_name, "_gpl", "");
KSYMTAB_FUNC(etm_perf_symlink, "_gpl", "");
KSYMTAB_FUNC(coresight_find_csdev_by_fwnode, "_gpl", "");
KSYMTAB_FUNC(coresight_get_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_get_platform_data, "_gpl", "");
KSYMTAB_FUNC(coresight_add_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(cscfg_load_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_unload_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_register_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_unregister_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_reset_feats, "_gpl", "");
KSYMTAB_FUNC(cscfg_config_sysfs_get_active_cfg, "_gpl", "");
KSYMTAB_FUNC(cscfg_activate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_deactivate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_enable_active_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_disable_active_config, "_gpl", "");

SYMBOL_CRC(coresight_barrier_pkt, 0xecfb329f, "_gpl");
SYMBOL_CRC(coresight_set_cti_ops, 0xebc18cc5, "_gpl");
SYMBOL_CRC(coresight_remove_cti_ops, 0x4a0e600f, "_gpl");
SYMBOL_CRC(coresight_set_percpu_sink, 0x206aa61f, "_gpl");
SYMBOL_CRC(coresight_get_percpu_sink, 0xaa976f76, "_gpl");
SYMBOL_CRC(coresight_claim_device_unlocked, 0xaa826b1f, "_gpl");
SYMBOL_CRC(coresight_claim_device, 0x1ee937cc, "_gpl");
SYMBOL_CRC(coresight_disclaim_device_unlocked, 0x97dfab75, "_gpl");
SYMBOL_CRC(coresight_disclaim_device, 0x058dec30, "_gpl");
SYMBOL_CRC(coresight_set_assoc_ectdev_mutex, 0x6400a6d8, "_gpl");
SYMBOL_CRC(coresight_disable_path, 0xe16f84f5, "_gpl");
SYMBOL_CRC(coresight_enable, 0x4ec8df51, "_gpl");
SYMBOL_CRC(coresight_disable, 0xaa7875ae, "_gpl");
SYMBOL_CRC(coresight_timeout, 0xeca1a8e2, "_gpl");
SYMBOL_CRC(coresight_register, 0x62262c91, "_gpl");
SYMBOL_CRC(coresight_unregister, 0xdad5d1ab, "_gpl");
SYMBOL_CRC(coresight_loses_context_with_cpu, 0x94c53ddf, "_gpl");
SYMBOL_CRC(coresight_alloc_device_name, 0x0a527017, "_gpl");
SYMBOL_CRC(etm_perf_symlink, 0xefc053b1, "_gpl");
SYMBOL_CRC(coresight_find_csdev_by_fwnode, 0x537547a9, "_gpl");
SYMBOL_CRC(coresight_get_cpu, 0x59106d46, "_gpl");
SYMBOL_CRC(coresight_get_platform_data, 0xa82aae92, "_gpl");
SYMBOL_CRC(coresight_add_sysfs_link, 0xf0791435, "_gpl");
SYMBOL_CRC(coresight_remove_sysfs_link, 0xcc73f361, "_gpl");
SYMBOL_CRC(cscfg_load_config_sets, 0x271a9e55, "_gpl");
SYMBOL_CRC(cscfg_unload_config_sets, 0x79f69084, "_gpl");
SYMBOL_CRC(cscfg_register_csdev, 0xa945df78, "_gpl");
SYMBOL_CRC(cscfg_unregister_csdev, 0x97e1e0d5, "_gpl");
SYMBOL_CRC(cscfg_csdev_reset_feats, 0xc3b2a595, "_gpl");
SYMBOL_CRC(cscfg_config_sysfs_get_active_cfg, 0xb0043d28, "_gpl");
SYMBOL_CRC(cscfg_activate_config, 0x985cc71d, "_gpl");
SYMBOL_CRC(cscfg_deactivate_config, 0xbe69f28a, "_gpl");
SYMBOL_CRC(cscfg_csdev_enable_active_config, 0x9a4a5b63, "_gpl");
SYMBOL_CRC(cscfg_csdev_disable_active_config, 0x53985c60, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xecf1a4d3, "of_graph_get_remote_endpoint" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xcf01d1a0, "try_module_get" },
	{ 0x121cd259, "is_acpi_device_node" },
	{ 0xe60a48d, "of_fwnode_ops" },
	{ 0x5913738c, "config_group_init" },
	{ 0x3d087ec2, "devm_kmalloc" },
	{ 0x402a3c20, "of_get_next_parent" },
	{ 0x189715e6, "dev_set_name" },
	{ 0xcd2a2a7b, "configfs_register_group" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x584794ea, "perf_aux_output_begin" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb409956, "sysfs_add_file_to_group" },
	{ 0xa9ad8297, "device_unregister" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0xfcc7b459, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0x71827ecc, "processors" },
	{ 0x22de7a1b, "of_graph_parse_endpoint" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xaa73c009, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xd1fcbd21, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x66f8fbd, "configfs_unregister_subsystem" },
	{ 0xa88bfe24, "device_match_fwnode" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x2ea99dbd, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1786a938, "put_device" },
	{ 0x8c36dc47, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xd420cb47, "bus_for_each_dev" },
	{ 0x7cd3aa66, "_dev_info" },
	{ 0x18b23dd8, "config_item_set_name" },
	{ 0xeeb6e8b2, "module_put" },
	{ 0x4bce8344, "sysfs_create_link" },
	{ 0x3aff3200, "acpi_evaluate_object_typed" },
	{ 0x99f86351, "sysfs_remove_link_from_group" },
	{ 0xa15c569, "perf_pmu_register" },
	{ 0x135e75ec, "of_get_child_by_name" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa50ee34b, "bus_unregister" },
	{ 0x7b4d5f48, "devm_kfree" },
	{ 0x6bd3e5bb, "_dev_err" },
	{ 0xbfd94e85, "bus_find_device" },
	{ 0xb4e886a8, "configfs_register_subsystem" },
	{ 0x9120f9b1, "__of_parse_phandle_with_args" },
	{ 0xd3d2984d, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa24a309f, "config_group_init_type_name" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0x766ce6a0, "perf_pmu_unregister" },
	{ 0x56918906, "of_find_property" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xcce09133, "perf_aux_output_end" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6e45144, "of_graph_get_next_endpoint" },
	{ 0xf0458b73, "sysfs_remove_file_from_group" },
	{ 0x5e330bc8, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2faab42d, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x572e3d43, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x1e6f501c, "fwnode_handle_get" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0x993829ad, "of_graph_get_port_parent" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8da11240, "devm_kasprintf" },
	{ 0x9c7c28b4, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcc624378, "fwnode_property_present" },
	{ 0x56ee2c0c, "__pm_runtime_resume" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0xa2a7e490, "acpi_fetch_acpi_dev" },
	{ 0xf6d17866, "of_cpu_node_to_id" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x5b00f6a8, "amba_bustype" },
	{ 0xcb5ef9f0, "platform_bus_type" },
	{ 0x7d13c64e, "sysfs_add_link_to_group" },
	{ 0x89e6c8f0, "perf_get_aux" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd47ca385, "of_node_name_eq" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0xda49ce4e, "fwnode_handle_put" },
	{ 0x124daac5, "perf_aux_output_flag" },
	{ 0x71063395, "configfs_unregister_group" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xd41e6dfa, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66359cde, "__dev_fwnode" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x375c8a6, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B8B4B5C5EDF0B852DD613FF");
MODULE_INFO(rhelversion, "9.6");
