#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0x1f3b449c, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x4beb5e0c, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0xc4128b38, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0xc0648f40, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0xc85d98ea, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0x9db475c7, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0xc7b577bf, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x7e2641a7, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0xacffb3e0, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0xc5cfb0f1, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0x6940cc64, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0xdba84255, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x7c25cc2b, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0x919a5c27, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0xf41df772, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0x420c0670, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0x83d2d66b, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0x1904f104, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0x88c91a63, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0xb5f142b1, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0x8333850a, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x25907301, "_gpl");
SYMBOL_CRC(i3c_master_register, 0xe08d3978, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0x00e81402, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x76e5e708, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x3d087ec2, "devm_kmalloc" },
	{ 0xb25f643c, "of_property_read_variable_u32_array" },
	{ 0x189715e6, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa9ad8297, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0xdd15c9bc, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xcee74758, "of_get_next_available_child" },
	{ 0xd1fcbd21, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1786a938, "put_device" },
	{ 0x6a02d78e, "i2c_del_adapter" },
	{ 0x2de9e433, "idr_remove" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa50ee34b, "bus_unregister" },
	{ 0x4dad4c97, "down_write" },
	{ 0x6bd3e5bb, "_dev_err" },
	{ 0x60837fb, "up_write" },
	{ 0xc18bfaeb, "device_add" },
	{ 0x5a73636e, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0xe92ab451, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdb94ba22, "i2c_new_client_device" },
	{ 0x2faab42d, "device_register" },
	{ 0xfa158906, "device_del" },
	{ 0xd5543f9d, "idr_destroy" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0x94672c34, "down_read" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0x33f5b940, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x304a2de6, "of_i2c_get_board_info" },
	{ 0x35c80711, "up_read" },
	{ 0x3f5d3725, "driver_register" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x375c8a6, "bus_register" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0E5A314C6B103C96E296945");
MODULE_INFO(rhelversion, "9.6");
