#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x9550c073, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x26ab39de, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x075d6c7b, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x35cd964e, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x090639b3, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0x788ef5c5, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0x827adbe5, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0x3ccd2b7d, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x4f488963, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x10d82093, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0xe4b6c345, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x7a35e52d, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0xb12c28c0, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x61f4ed0c, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x1f6c0f6f, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0xf5da4ee5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x189715e6, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xdcb193e3, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0x7de28e04, "finish_wait" },
	{ 0xdd15c9bc, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3da4cfa9, "seq_lseek" },
	{ 0x2ce6f61, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x9fdd4310, "__wake_up" },
	{ 0xaa73c009, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3ca3b52f, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xa788219f, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2ead91f7, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x1786a938, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa50ee34b, "bus_unregister" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0x9a6fbca2, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x30d78b57, "kthread_stop" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9956519d, "__init_waitqueue_head" },
	{ 0x443d0be9, "kthread_create_on_node" },
	{ 0x970e94a6, "seq_read" },
	{ 0xdec2389e, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x45314eac, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xdc7dc928, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3299bdd9, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdc04555f, "seq_puts" },
	{ 0xd48f8bf2, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe1e7823c, "param_ops_int" },
	{ 0x3073e7e8, "single_open" },
	{ 0xe91c2199, "debugfs_create_dir" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0x253d097c, "cdev_init" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x375c8a6, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "08A0BC6E837EB1B76B94673");
MODULE_INFO(rhelversion, "9.6");
