#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0xc14cd735, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x42148a59, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x01f9f569, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x2fc8f08e, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x08e4062c, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0xae7d55cd, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0x033057e1, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x0844d618, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x5be3a7fc, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x0d721341, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0xccafe162, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x9f068d84, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0xeda21a9d, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0x20d433e5, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760a0f4f, "yield" },
	{ 0xcf01d1a0, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x76e5e708, "__init_rwsem" },
	{ 0x35b0ec57, "misc_deregister" },
	{ 0xb1dc6f35, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x189715e6, "dev_set_name" },
	{ 0x8145fa46, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdcb193e3, "cdev_device_del" },
	{ 0xa9ad8297, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0xdd15c9bc, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x3da4cfa9, "seq_lseek" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xced022fa, "kmem_cache_create" },
	{ 0xaa73c009, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xfa8669e6, "get_mtd_device_nm" },
	{ 0x3b22969e, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f5df482, "blocking_notifier_chain_register" },
	{ 0x30125d50, "get_mtd_device" },
	{ 0x3ca3b52f, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xa788219f, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0x68d1217f, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x1786a938, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x187a49dd, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeeb6e8b2, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2ed0fceb, "cdev_add" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2b9701d1, "mtd_block_markbad" },
	{ 0x4dad4c97, "down_write" },
	{ 0x60837fb, "up_write" },
	{ 0x49b7929b, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0x96573ccd, "kmem_cache_free" },
	{ 0x9a6fbca2, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x976a3593, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x89c5e952, "put_mtd_device" },
	{ 0x5bb428cb, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9748f87e, "mtd_read" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x30d78b57, "kthread_stop" },
	{ 0xc705a7ee, "freezing_slow_path" },
	{ 0x2faab42d, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0xc6c94312, "kern_path" },
	{ 0x79c65ec0, "misc_register" },
	{ 0xece784c2, "rb_first" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0xd14a98c9, "mtd_erase" },
	{ 0xf0ec33b0, "down_write_trylock" },
	{ 0x94672c34, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0x443d0be9, "kthread_create_on_node" },
	{ 0x970e94a6, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x40a62602, "mtd_write" },
	{ 0xdec2389e, "debugfs_create_file" },
	{ 0xe5b36292, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3299bdd9, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xf04d68fc, "mtd_get_device_size" },
	{ 0xdc04555f, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa1aea602, "seq_open" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xe91c2199, "debugfs_create_dir" },
	{ 0x15cbd1e0, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x35c80711, "up_read" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0xbee7ce85, "class_register" },
	{ 0x253d097c, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x493efe7c, "cdev_del" },
	{ 0xcba4b3e7, "kmem_cache_destroy" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "18E06EF4ACF2803F0FC3B3A");
MODULE_INFO(rhelversion, "9.6");
