#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x0f00c202, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xa8fbad21, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x3e14fb58, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x7831279e, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x7a591445, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x252ed2ca, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0xe5f82983, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x7391e051, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x2886cf05, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9fdd4310, "__wake_up" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0xfc7664ae, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a73636e, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x21718946, "netdev_err" },
	{ 0x2de9e433, "idr_remove" },
	{ 0x173f9e0f, "skb_copy_datagram_iter" },
	{ 0x4197688d, "_copy_to_iter" },
	{ 0x39c185d5, "iov_iter_advance" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xebcbf978, "consume_skb" },
	{ 0x7de28e04, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xfbd28f7d, "prepare_to_wait" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x253d097c, "cdev_init" },
	{ 0x2ed0fceb, "cdev_add" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x493efe7c, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x37a0cba, "kfree" },
	{ 0xd5543f9d, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x288c6fd9, "skb_push" },
	{ 0xabf22680, "__skb_gso_segment" },
	{ 0x1e0854d7, "kfree_skb_list_reason" },
	{ 0x7d1acd70, "skb_checksum_help" },
	{ 0x90dd59e7, "__skb_get_hash_net" },
	{ 0x1814ef12, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5ad73d38, "idr_find" },
	{ 0x9cc33d5e, "sk_alloc" },
	{ 0x9956519d, "__init_waitqueue_head" },
	{ 0xb1cb0b47, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xb4b8c2fa, "__skb_flow_dissect" },
	{ 0x7acb719b, "skb_partial_csum_set" },
	{ 0x72dbe8f, "__pskb_pull_tail" },
	{ 0x15086028, "iov_iter_npages" },
	{ 0xac0e0d2b, "_copy_from_iter" },
	{ 0xa75a7b59, "sock_alloc_send_pskb" },
	{ 0xb9b6d7ba, "skb_put" },
	{ 0x5145a921, "zerocopy_sg_from_iter" },
	{ 0xd86d91c3, "__dev_queue_xmit" },
	{ 0x6bde6600, "skb_copy_datagram_from_iter" },
	{ 0x8cbddc6c, "iov_iter_revert" },
	{ 0x78be21b6, "skb_copy_bits" },
	{ 0x754a0712, "build_skb" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x2aee2496, "dev_set_mac_address_user" },
	{ 0xa2e7c5c8, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "798B7968E186D5671C997E0");
MODULE_INFO(rhelversion, "9.6");
