#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x761ba63e, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x584c36f9, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xbe092fe4, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xf2d926a6, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xd1622147, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xba3524d4, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xfb21f21f, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xee219469, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xd21d7634, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x0b984d3d, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x714c7fdb, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xd9e9ed9e, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xd0035486, "_gpl");
SYMBOL_CRC(usbnet_open, 0xfc3dbda1, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x13ff4539, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x8935fcb5, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x36ef531e, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x4d31f3d2, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x4fba01ed, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xefe1749a, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x808d3730, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x1d5797e6, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x9154b117, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x3704d06d, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x91965f7b, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x214cf164, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x6d2f3adc, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x87383263, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x815310c5, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xcf9e7a7d, "");
SYMBOL_CRC(usbnet_manage_power, 0x003066d6, "");
SYMBOL_CRC(usbnet_link_change, 0x2d9169c0, "");
SYMBOL_CRC(usbnet_read_cmd, 0x84a0ba2e, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x2e722790, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xdba6625c, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x49431b44, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x7284c700, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x819ef0a8, "usb_set_interface" },
	{ 0x34e23fd4, "usb_string" },
	{ 0xd1fcbd21, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4861f909, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3fa1e60b, "skb_queue_purge_reason" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0x1c485dd0, "usb_get_urb" },
	{ 0x7db16dfa, "usb_unlink_urb" },
	{ 0xbe3a9d27, "usb_free_urb" },
	{ 0xa1136e64, "usb_submit_urb" },
	{ 0x21718946, "netdev_err" },
	{ 0xba1f4620, "mii_ethtool_get_link_ksettings" },
	{ 0xe797e6fd, "mii_ethtool_set_link_ksettings" },
	{ 0xc8d8a9de, "mii_nway_restart" },
	{ 0x3739a94, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0xcaea1c84, "unregister_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2a37b26f, "usb_scuttle_anchored_urbs" },
	{ 0x35c3b1b6, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe3a5bd05, "free_netdev" },
	{ 0x27d55e7e, "netdev_info" },
	{ 0x8aacbb9e, "netif_carrier_on" },
	{ 0x14c16bb6, "netif_carrier_off" },
	{ 0xc147e482, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa3d46f0f, "usb_autopm_get_interface" },
	{ 0x1f54b105, "usb_autopm_put_interface" },
	{ 0x98ec666, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0x6f85d62a, "mii_link_ok" },
	{ 0xe5842354, "ethtool_op_get_link" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc88d21ab, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd5b16119, "remove_wait_queue" },
	{ 0x81016821, "netif_device_detach" },
	{ 0xd90414b4, "netif_device_attach" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3a1965e3, "skb_defer_rx_timestamp" },
	{ 0x231b489e, "netif_rx" },
	{ 0x468c7d2a, "eth_type_trans" },
	{ 0xe453623a, "skb_queue_tail" },
	{ 0xa6a61d2a, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9956519d, "__init_waitqueue_head" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0xe7a829b8, "register_netdev" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x46ad1aed, "pm_runtime_enable" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x8e8e26b9, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x33fa4a42, "skb_clone_tx_timestamp" },
	{ 0xb530c985, "usb_autopm_get_interface_async" },
	{ 0xc403a54d, "dev_kfree_skb_any_reason" },
	{ 0x76de7c30, "skb_tstamp_tx" },
	{ 0x5ac7149a, "usb_anchor_urb" },
	{ 0x344a8280, "__netdev_alloc_skb" },
	{ 0xebcbf978, "consume_skb" },
	{ 0x35499fd2, "netif_tx_wake_queue" },
	{ 0x9fdd4310, "__wake_up" },
	{ 0x439d11b0, "usb_autopm_get_interface_no_resume" },
	{ 0xcaa6622f, "usb_get_from_anchor" },
	{ 0xb9b6d7ba, "skb_put" },
	{ 0x2d94815, "usb_clear_halt" },
	{ 0xa3441400, "eth_mac_addr" },
	{ 0xed4740c9, "eth_validate_addr" },
	{ 0x621049de, "dev_get_tstats64" },
	{ 0x8a39aa4c, "ethtool_op_get_ts_info" },
	{ 0xe1e7823c, "param_ops_int" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "DBC0ECB9F946659D3D59822");
MODULE_INFO(rhelversion, "9.6");
