#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0xf2a78106, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x99ed2487, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x0034a578, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x9e9f9792, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x099a20d3, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x7d74a2b9, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x5bbb08a5, "_gpl");
SYMBOL_CRC(ucsi_create, 0xac5a28e2, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x6c3900b0, "_gpl");
SYMBOL_CRC(ucsi_register, 0xe43a2dfd, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x29f4ad0e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0x34f16d12, "typec_partner_set_pd_revision" },
	{ 0x688d33c, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xaf15d93e, "typec_register_partner" },
	{ 0x6552b50c, "typec_port_set_usb_power_delivery" },
	{ 0x9e45de39, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x816496e0, "typec_port_register_altmode" },
	{ 0x36e8a5cc, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb043a1a1, "trace_raw_output_prep" },
	{ 0x9b3b5198, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0xcdf13d55, "trace_event_printf" },
	{ 0xf8db379e, "trace_event_raw_init" },
	{ 0xc4cf617c, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x3da4cfa9, "seq_lseek" },
	{ 0x579b958, "bpf_trace_run2" },
	{ 0xfda1d937, "event_triggers_call" },
	{ 0xe8d9b408, "typec_set_mode" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xd1fcbd21, "__dynamic_dev_dbg" },
	{ 0x4b3c72f9, "trace_event_buffer_commit" },
	{ 0xa5b858b9, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xb45e3f8b, "trace_event_ignore_this_pid" },
	{ 0xf869a062, "typec_partner_register_altmode" },
	{ 0x48ee19c8, "typec_partner_set_num_altmodes" },
	{ 0xe05651db, "typec_unregister_partner" },
	{ 0xc053f5a5, "typec_set_pwr_opmode" },
	{ 0x9c87e8cd, "typec_cable_set_identity" },
	{ 0x1ba601b8, "debugfs_attr_read" },
	{ 0x5fd4d1fe, "typec_unregister_cable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9aa3a42b, "perf_trace_run_bpf_submit" },
	{ 0x6bd3e5bb, "_dev_err" },
	{ 0xb1262067, "typec_altmode_update_active" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xd1f1d8e4, "device_property_read_u8_array" },
	{ 0xb0bd3adc, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xa000cd7e, "usb_power_delivery_register_capabilities" },
	{ 0x83a1f7c0, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0x9a6fbca2, "debugfs_remove" },
	{ 0x76e056e2, "usb_power_delivery_unregister" },
	{ 0x9fc68188, "trace_event_reg" },
	{ 0x154294da, "typec_set_data_role" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x804545d8, "typec_unregister_port" },
	{ 0x79d95cab, "power_supply_get_drvdata" },
	{ 0xdcb764ad, "memset" },
	{ 0x572e3d43, "_dev_warn" },
	{ 0xe117f803, "typec_register_port" },
	{ 0x1201f5de, "typec_plug_set_num_altmodes" },
	{ 0x69154221, "typec_partner_set_usb_power_delivery" },
	{ 0x8db6770e, "power_supply_changed" },
	{ 0xd9912068, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbfc0ff2b, "typec_plug_register_altmode" },
	{ 0x8da11240, "devm_kasprintf" },
	{ 0x970e94a6, "seq_read" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xdec2389e, "debugfs_create_file" },
	{ 0x881ebd9c, "trace_event_buffer_reserve" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x17dab26b, "typec_unregister_altmode" },
	{ 0x532cc78, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3299bdd9, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9aae2aec, "usb_power_delivery_unregister_capabilities" },
	{ 0x3f2bcab7, "typec_get_drvdata" },
	{ 0x49d69534, "typec_partner_set_identity" },
	{ 0xb18aeeb9, "power_supply_unregister" },
	{ 0xd48f8bf2, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x56f876b5, "typec_set_pwr_role" },
	{ 0xbd44e5c1, "typec_partner_usb_power_delivery_register" },
	{ 0x56963844, "dev_err_probe" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x28331d24, "usb_debug_root" },
	{ 0xda49ce4e, "fwnode_handle_put" },
	{ 0xb7701fa1, "device_get_next_child_node" },
	{ 0x3073e7e8, "single_open" },
	{ 0xe91c2199, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66359cde, "__dev_fwnode" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DBC2F676B010BB3E71E91FE");
MODULE_INFO(rhelversion, "9.6");
