#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xf6268535, "");
SYMBOL_CRC(bt_sock_register, 0xbfe60348, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x4bfb450e, "");
SYMBOL_CRC(bt_sock_link, 0x72de8e56, "");
SYMBOL_CRC(bt_sock_unlink, 0x9529acf4, "");
SYMBOL_CRC(bt_sock_linked, 0x42a2f4a8, "");
SYMBOL_CRC(bt_accept_enqueue, 0x5771c18d, "");
SYMBOL_CRC(bt_accept_unlink, 0xf509e3e4, "");
SYMBOL_CRC(bt_accept_dequeue, 0xcef4be18, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x4ac9f6ef, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x211c2765, "");
SYMBOL_CRC(bt_sock_poll, 0xff60a49d, "");
SYMBOL_CRC(bt_sock_ioctl, 0x4f0db052, "");
SYMBOL_CRC(bt_sock_wait_state, 0x615b0f34, "");
SYMBOL_CRC(bt_sock_wait_ready, 0xb744fbbe, "");
SYMBOL_CRC(bt_procfs_init, 0x12edd328, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x58eaf356, "");
SYMBOL_CRC(bt_debugfs, 0xe6dc069d, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x977c9b85, "");
SYMBOL_CRC(hci_free_dev, 0x9dc4cd44, "");
SYMBOL_CRC(hci_register_dev, 0x50afb25a, "");
SYMBOL_CRC(hci_unregister_dev, 0xb8c1e474, "");
SYMBOL_CRC(hci_release_dev, 0x4e5f5b15, "");
SYMBOL_CRC(hci_suspend_dev, 0x0c3cf254, "");
SYMBOL_CRC(hci_resume_dev, 0xd520c02d, "");
SYMBOL_CRC(hci_reset_dev, 0x131f3e04, "");
SYMBOL_CRC(hci_recv_frame, 0xf71eedcb, "");
SYMBOL_CRC(hci_recv_diag, 0x52458817, "");
SYMBOL_CRC(hci_set_hw_info, 0x8c565d24, "");
SYMBOL_CRC(hci_set_fw_info, 0xbb2171ea, "");
SYMBOL_CRC(hci_register_cb, 0x489b152c, "");
SYMBOL_CRC(hci_unregister_cb, 0xa9e2bfba, "");
SYMBOL_CRC(__hci_cmd_send, 0xd8c99661, "");
SYMBOL_CRC(hci_get_route, 0x383ea31f, "");
SYMBOL_CRC(hci_conn_security, 0x1bc931ae, "");
SYMBOL_CRC(hci_conn_check_secure, 0xe37448be, "");
SYMBOL_CRC(hci_conn_switch_role, 0x658b97b1, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0xe332df11, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x643e431a, "");
SYMBOL_CRC(l2cap_add_psm, 0xe87dfa89, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xc03b0cd0, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x5af0199a, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0xb7650ded, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x053d8e9e, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0xf0fda67c, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xb00bbf28, "");
SYMBOL_CRC(l2cap_register_user, 0x956f5c13, "");
SYMBOL_CRC(l2cap_unregister_user, 0x158aeca5, "");
SYMBOL_CRC(l2cap_conn_get, 0x485ce7c9, "");
SYMBOL_CRC(l2cap_conn_put, 0x0fb3bf17, "");
SYMBOL_CRC(l2cap_chan_send, 0x0e25fc17, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0xbcbb21e9, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x845b650a, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0xf5a3f7b2, "");
SYMBOL_CRC(__hci_cmd_sync, 0xa7274da0, "");
SYMBOL_CRC(hci_cmd_sync, 0x04f196f7, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x0e47fd37, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x3b0aaa1e, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xcaaa7c5f, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xb13a063c, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x8a8b4230, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x0879be4f, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xdaf472ba, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x590c2740, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x1388c54a, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x97ac8e17, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x2961987b, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x661c3b01, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0xf2587365, "");
SYMBOL_CRC(hci_devcd_init, 0x0635e192, "");
SYMBOL_CRC(hci_devcd_append, 0x4ce490cf, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x971628e4, "");
SYMBOL_CRC(hci_devcd_complete, 0xead5b779, "");
SYMBOL_CRC(hci_devcd_abort, 0xb5c71030, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xedab23b6, "skb_free_datagram" },
	{ 0x620031c0, "sock_queue_rcv_skb_reason" },
	{ 0xdc3ad3c, "ida_alloc_range" },
	{ 0xcf01d1a0, "try_module_get" },
	{ 0x59bf42db, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x688d33c, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xdc9f99ca, "ida_destroy" },
	{ 0x5ad73d38, "idr_find" },
	{ 0x9e45de39, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xb9b6d7ba, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x189715e6, "dev_set_name" },
	{ 0xbdadca31, "scm_detach_fds" },
	{ 0xc610917a, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa9ad8297, "device_unregister" },
	{ 0x8e8e26b9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1812d974, "rt_mutex_base_init" },
	{ 0xeda78bec, "debugfs_create_u16" },
	{ 0x7de28e04, "finish_wait" },
	{ 0xe0286d25, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x219f773b, "add_wait_queue_exclusive" },
	{ 0xdd15c9bc, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x3da4cfa9, "seq_lseek" },
	{ 0xc88d21ab, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa0d01ed3, "sock_no_connect" },
	{ 0x2ce6f61, "prepare_to_wait_event" },
	{ 0xda41d024, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x9fdd4310, "__wake_up" },
	{ 0x39f48152, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xaa73c009, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xd9919de6, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7fbab1ef, "__put_cred" },
	{ 0xc49f31bd, "put_cmsg" },
	{ 0x3fa1e60b, "skb_queue_purge_reason" },
	{ 0xa3e85da7, "crypto_destroy_tfm" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x324ee267, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x9a9c8953, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9189fbf4, "sock_register" },
	{ 0x31df37ea, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x1786a938, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb09da742, "__alloc_skb" },
	{ 0xe9eac5b, "idr_get_next" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x2d077495, "rt_write_unlock" },
	{ 0x37a4844a, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe453623a, "skb_queue_tail" },
	{ 0xeeb6e8b2, "module_put" },
	{ 0x6a0d1136, "__sock_recv_ts_and_drops" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2de9e433, "idr_remove" },
	{ 0x1ba601b8, "debugfs_attr_read" },
	{ 0xd0e74c19, "__sock_recv_timestamp" },
	{ 0x5d12cfe7, "sock_no_shutdown" },
	{ 0xbad9a05d, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xccc7ae93, "crypto_req_done" },
	{ 0x94164839, "init_net" },
	{ 0xa038a23f, "crypto_shash_setkey" },
	{ 0x49b7929b, "simple_open" },
	{ 0x1d50cf9d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc18bfaeb, "device_add" },
	{ 0x5a73636e, "idr_alloc" },
	{ 0xb0bd3adc, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6c9f90c7, "init_uts_ns" },
	{ 0xfc7664ae, "sk_skb_reason_drop" },
	{ 0x1814ef12, "sk_free" },
	{ 0x60fefeaf, "class_create" },
	{ 0xa9f6ced4, "device_move" },
	{ 0x34e7838d, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x543fc93c, "mutex_lock" },
	{ 0x288c6fd9, "skb_push" },
	{ 0x4aaadaf, "sock_no_listen" },
	{ 0x9a6fbca2, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x9b676708, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xa79a9960, "iov_iter_kvec" },
	{ 0xba05404d, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xe877ef9a, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x59916a2f, "device_find_child" },
	{ 0xe3e443bb, "dev_coredumpv" },
	{ 0x173f9e0f, "skb_copy_datagram_iter" },
	{ 0x151e6137, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x9cc33d5e, "sk_alloc" },
	{ 0xfa158906, "device_del" },
	{ 0x8d83b7a2, "__sock_queue_rcv_skb" },
	{ 0xd5543f9d, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x2433e131, "default_llseek" },
	{ 0xbd7afe52, "__sock_recv_wifi_status" },
	{ 0x8eb92607, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x830c00b8, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x87600835, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x3b9e572, "sock_no_mmap" },
	{ 0x9956519d, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x72dbe8f, "__pskb_pull_tail" },
	{ 0xf14f9ee1, "rt_spin_unlock" },
	{ 0xa3567ffb, "__scm_destroy" },
	{ 0xde808b59, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x74271d0a, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x91d7a839, "rt_spin_lock" },
	{ 0x6f54e846, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x970e94a6, "seq_read" },
	{ 0x65c535f8, "rt_read_lock" },
	{ 0xb189239e, "sock_i_ino" },
	{ 0xdec2389e, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0xcb926262, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78a344c2, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x45314eac, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x7f5be0e5, "skb_recv_datagram" },
	{ 0xa75a7b59, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe1499db9, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5fcb8793, "remove_proc_entry" },
	{ 0xddf233b5, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3299bdd9, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa0ec4e8d, "skb_copy" },
	{ 0xf4e570f8, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x49e4edd1, "rt_write_lock" },
	{ 0xac0e0d2b, "_copy_from_iter" },
	{ 0xa221eb6a, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd5b16119, "remove_wait_queue" },
	{ 0xdc04555f, "seq_puts" },
	{ 0x35a94b85, "sock_gettstamp" },
	{ 0xd48f8bf2, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xddfca77d, "pid_vnr" },
	{ 0x91adf47d, "from_kuid_munged" },
	{ 0x4b826b03, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x8cbddc6c, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfad2c40e, "proc_create_seq_private" },
	{ 0xc6972170, "debugfs_create_u8" },
	{ 0x3073e7e8, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf62d6561, "crypto_alloc_shash" },
	{ 0xe91c2199, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x6db741ba, "fwnode_property_read_u8_array" },
	{ 0x79b8e6d6, "__mutex_rt_init" },
	{ 0x9c918cc0, "put_pid" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4c4e36c2, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66359cde, "__dev_fwnode" },
	{ 0x617fb3dc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf43d5348, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x90776fd1, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "9B23F76DDC2743FE5541844");
MODULE_INFO(rhelversion, "9.6");
