#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x7c8db53c, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x073e5f38, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xfcd147ff, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xbe2ef004, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x30078123, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xe93fa3b9, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x90c2b835, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x3c1b8601, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x0f8baca0, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x4ca5d191, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x959df30b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0xe5185ba, "register_pernet_subsys" },
	{ 0x3299bdd9, "seq_printf" },
	{ 0xdc04555f, "seq_puts" },
	{ 0xcd5d2b29, "unregister_pernet_subsys" },
	{ 0x784e38c5, "nf_register_net_hooks" },
	{ 0x71b94d56, "nf_unregister_net_hooks" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xdcb764ad, "memset" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0xbe4109, "nf_ipv6_ops" },
	{ 0xfc7664ae, "sk_skb_reason_drop" },
	{ 0x8ef8db04, "xfrm_lookup" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6c2e053f, "ip6_local_out" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2f449ce4, "skb_ensure_writable" },
	{ 0x60a1a689, "inet_proto_csum_replace4" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xc9d408e4, "ip_route_me_harder" },
	{ 0x56dfa95c, "ip_local_out" },
	{ 0xb09da742, "__alloc_skb" },
	{ 0xb9b6d7ba, "skb_put" },
	{ 0x78be21b6, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x24f775a8, "nf_ct_tmpl_alloc" },
	{ 0x74134eca, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xd657f860, "proc_create_net_data" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb04351ef, "nf_ct_tmpl_free" },
	{ 0x5fcb8793, "remove_proc_entry" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xf3a6c104, "ipv6_skip_exthdr" },
	{ 0x4cba14ea, "nf_ct_seqadj_init" },
	{ 0xebcbf978, "consume_skb" },
	{ 0x942845d6, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "4F2F5B6C696A3F7E7689CE8");
MODULE_INFO(rhelversion, "9.6");
